MPlayer(1)

NOMBRE
mplayer - Reproductor de películas para Linux
mencoder - Codificador de películas para Linux

SINOPSIS
mplayer [opciones] [ file | URL | playlist | - ]
mplayer
[opciones globales] archivo1 [opciones específicas] [archivo2] [opciones específicas]
mplayer
[opciones globales] {grupo de archivos y opciones} [opciones específicas del grupo]
mplayer
[mms[t]|http|http_proxy|rt[s]p|ftp]:// [usuario:contraseña@]URL[:puerto] [opciones]
mplayer
dvd://título [opciones]
mplayer
vcd://pista[/dispositivo] [opciones]
mplayer
tv://[canal] [opciones]
mplayer
mf://máscara [opciones]
mplayer
[cdda|cddb]://pista[:velocidad][/dispositivo] [opciones]
mplayer
cue://archivo[:pista] [opciones]
mplayer
sdp://archivo [opciones]
mplayer
mpst://host[:puerto]/URL [opciones]
mencoder [opciones] [ archivo | URL | - ] [-o archivo]
gmplayer [opciones] [-skin piel]

DESCRIPCIÓN
mplayer es un reproductor de películas para LINUX (funciona en muchos otros Unices y CPUs no-x86, vea la documentación). Reproduce la mayoría de los archivos MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, OGG/OGM, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM and RoQ, soportados de forma nativa, XAnim, y con codecs DLL Win32. Además puede ver VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5 e incluso películas WMV (sin usar la librería avifile).

Otra gran característica de MPlayer es el amplio rango de controladores de salida soportados. Funciona con X11, XV, DGA, OpenGL, SVGAlib, fbdev, AAlib, DirectFB, y también puede usar GGI, SDL (y de este modo todos los controladores), VESA (en cualquier tarjeta compatible con VESA, incluso sin X11), algunos controladores de tarjetas específicas a bajo nivel (par Matrox, 3Dfs y ATI) y algunas tarjetas decodificadoras de MPEG por hardware, tales como Siemens DVB, DXR2 y DXR3/Hollywood+. La mayoría de ellos soportan escalado por software o por hardware, para que pueda disfrutar de las películas en pantalla completa.

MPlayer tiene información en pantalla (OSD, On Screen Display) sobre el estado, subtítulos grandes y bonitos con suavizado de bordes y realimentación visual de los controles con teclado. Tipos de letra Europeo/ISO 8859-1,2 (Húngaro, Inglés, Checoslovaco, etc), Cirílico y Koreano son soportados en 11 formatos de subtítulo (MicroDVD, SubRip, SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub, PJS y el nuestro: MPsub) así como subtítulos DVD (cadenas SPU, VobSub y Closed Captions).

mencoder (Codificador de Películas de MPlayer) es un codificador simple de películas, diseñado para codificar películas que se pueden reproducir con MPlayer (vea más arriba) a otros formatos también reproducibles con MPlayer (vea más abajo). Codifica a DivX4, XviD, cualquier codec de libavcodec y audio en PCM/MP3/VBRMP3 en 1, 2 o 3 pasadas. Además, tiene habilidades para copiar flujos, un potente sistema de plugins (recortar, expandir, voltear, post-procesar, rotar, escalar, ruidos, conversión rgb/yuv) y más.

gmplayer es MPlayer con una interfaz gráfica para el usuario. Tiene las mismas opciones que MPlayer.

¡Vea también la documentación HTML!

CONTROL POR TECLADO
MPlayer tiene una capa de control totalmente configurable, dada por órdenes, que le permite controlar MPlayer usando el teclado, el ratón, la palanca de juegos o el mando a distancia (usando lirc).
El archivo de configuración por defecto para el sistema de entrada es ~/.mplayer/input.conf pero puede ser cambiado usando la opción -input conf.
Estas teclas pueden/no pueden funcionar, dependiendo de su controlador de salida de video.

control general
    posiciona atrás/adelante 10 segundos posiciona atrás/adelante 1 minuto posiciona atrás/adelante 10 minutos retrocede/avanza en la lista de reproducción va a la siguiente/previa entrada del árbol de reproducción en la lista actual va a la siguiente/previa fuente alternativa (solo para listas de reproducción asx) pausa la película (cualquier tecla para salir del modo pausa) detiene la película y sale ajusta el retardo de audio por +/- 0.1 segundos decrementa/incrementa el volumen decrementa/incrementa el volumen silencia el sonido cambia el modo de pantalla completa cambia el modo siempre-visible. Soportado por controladores que usen X11, excepto SDL, así como directx y gl2 bajo Windows. decrementa/incrementa el rango de panscan cambia entre los estados de OSD: nada / posicionado / posición+tiempo cambia el saltarse imágenes cambia entre los estados del salto de imágenes: nada / saltar el mostrar en pantalla / saltar decodificación (vea -framedrop y -hardframedrop) cambia la visibilidad de los subtítulos cambia el idioma de los subtítulos
F   cambia la visibilidad de "subtítulos forzados" cambia la alineación de los subtítulos: arriba/enmedio/abajo ajusta el retardo de subtítulos por +/- 0.1 segundos ajusta la posición de los subtítulos establece una marca EDL

(Las siguientes teclas son válidas solamente cuando se usa una salida de video acelerada por hardware (xv, (x)vidix, (x)mga, etc), o el filtro de ecualizador por software (-vf eq o -vf eq2).

ajusta el contraste ajusta el brillo adjust brightness ajusta el matiz ajusta la saturación

control del GUI con el teclado
    inicia la reproducción detiene la reproducción carga un archivo navegador de pieles cambia a lista de reproducción

control de la entrada de TV
    selecciona canal previo/siguiente cambia la norma cambia la lista de canales

USO
Cada opción 'etiqueta' tiene su contrapartida 'noetiqueta', es decir, el opuesto a la opción -fs es -nofs.

Puede escribir todas sus opciones en un archivo de configuración que será leído cada vez que se ejecute MPlayer. El archivo de configuración del sistema global 'mplayer.conf' está en su directorio de configueración (p.e. /etc/mplayer o /usr/local/etc/mplayer), el específico de usuario es '~/.mplayer/config'. Las opciones específicas de usuario sobreescriben a las del sistema y a su vez las que se pasan por línea de comandos sustituyen a estas. La sintaxis del archivo de configuración es 'opción=<valor>', todo lo que haya después de un '#' es considerado un comentario. Las opciones que funcionan sin valores pueden ser habilitadas estableciendo su valor a 'si' o '1' y deshabilitadas estableciendo su valor a 'no' o '0'. Incluso las subopciones pueden se especificadas de este modo.

EJEMPLO:
# Usar controlador de Matrox por defecto.
vo=xmga
# Me encanta practicar manualidades mientras veo videos.
flip=si
# Decodificar/codificar múltiples archivos desde png,
# empezando con mf://mascaradearchivo
mf=type=png:fps=25
# Las imágenes en negativo son extrañamente bonitas.
vf=eq2=1.0:-0.8

También puede escribir archivos de configuración para archivos específicos. Si dispone de un archivo de configuración para un archivo llamado 'pelicula.avi', cree otro archivo llamado 'pelicula.avi.conf' con las opciones específicas y colóquelo en ~/.mplayer o en el mismo directorio que el archivo.

OPCIONES GENERALES

-codecs-file <nombrearchivo>
    Usa el archivo codecs.conf especificado en lugar del instalado por sistema o el interno . Vea también -afm, -ac, -vfm y -vc.

-include <archivo de configuración>
    Archivo de configuración específico que se consultará después del que haya por defecto.

-quiet
    Con esta opción la línea de estado (i.e. A: 0.7 V: 0.6 A-V: 0.068 ...) no será mostrada. Es particularmente útil en terminales lentos o donde no funciona bien el manejo del retorno de carro (i.e. \r).

-v, -verbose
    Aumenta el nivel de prolijo (más -v significa más prolijo). solo alguna salida para informar (por defecto) alguna información de depuración básica, cabecera avi, valores de funciones (depuración inicial) muestra índices avi, entradas de trozos de video, más información de depuración (depuración del reproductor) muestra todo lo relacionado con los elementos que analizan la entrada (depuración del analizador)

OPCIONES DEL REPRODUCTOR (SOLO MPLAYER)

-autoq <calidad> (use con -vf [s]pp)
    Cambia dinámicamente el nivel de postprocesado dependiendo del tiempo de CPU disponible. El número que especifique será el máximo nivel usado. Lo normal es que pueda usar cualquier número grande. Deberá usar -vf [s]pp sin parámetros para poder usar esto.

-autosync <factor>
    Ajusta gradualmente la sincronización A/V basada en medidas de retardo de audio. Especificando -autosync 0, por defecto, causa que el tiempo de imágenes esté basado completamente en medidas de retardo de audio. Especificando -autosync 1 hará lo mismo, pero se se usará sutilmente el algoritmo de corrección de A/V usado. Un ratio de imágenes de video irregular que funciona bien con -nosound puede incluso mejorarse estableciendo este a un valor entero mayor que 1. Cuanto más alto sea el valor, más cerca se estará de la sincronización de -nosound. Pruebe -autosync 30 para suavizar problemas con controladores de sonido que no implementan una medida del retardo de audio perfecta. Con este valor, si ocurre un desplazamiento de sincronización A/V grande solo pasarán 1 o 2 segundos hasta estabilizarse. Este retardo en tiempo de reacción a repentinos desplazamientos A/V debe ser el único efecto colateral de activar esta opción, para todos los controladores de sonido.

-benchmark
    Imprime algunas estadísticas en uso de CPU y muestra imágenes del final. Úselo en combinación con -nosound y -vo null para medida del rendimiento del codec de video.
    NOTA: Con esta opción MPlayer ignorará la duración de las imágenes mientras reproduzca solo video (puede ver esto como un valor infinito de fps).

-colorkey <número>
    Cambia el colorkey a un valor RGB de su elección. 0x000000 es negro y 0xffffff es blanco. Solo soportado por los controladores de salida de video cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix y xover.

-nocolorkey
    Deshabilita el colorkeying. Solo soportado por los controladores de salida de video cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix y xover.

-edl <nombredearchivo>
    Habilita acciones de edición de lista de decisión (EDL) durante la reproducción. El video puede ser saltado y el audio silenciado y activado de acuerdo a unas entradas dadas en el archivo. Vea DOCS/HTML/es/edl.html para detalles sobre como usar esta característica.

-edlout <nombredearchivo>
    Crea un nuevo archivo y escribe lista de decisión de edición (EDL) al mismo. Durante la reproducción, cuando el usuario pulse 'i', una entrada para saltar los últimos dos segundos de reproducción será escrita al archivo. Esto proporciona un punto de partida para que el usuario pueda ajustar de manera fina las entradas de EDL después. Vea DOCS/HTML/es/edl.html para detalles.

-enqueue (solo GUI)
    Encola los archivos dados en la línea de comandos en la lista de reproducción en lugar de reproducirlos inmediatamente.

-fixed-vo (¡CÓDIGO BETA!)
    Fuerza un sistema de video fijo para múltiples archivos (una (des)inicialización para todos los archivos). Por lo tanto solo una ventana será abierta para todos los archivos. Actualmente los siguiente controladores funcionan bien con fixed-vo: gl2, mga, svga x11, xmga, xv y xvidx.

-framedrop (vea también -hardframedrop)
    Se salta la representación de algunas imágenes para mantener la sincronización A/V en sistemas lentos. Los filtros de video no son aplicados a estas imágenes. Para los marcos tipo B el proceso de decodificación es completamente saltado.

-h, -help, --help
    Muestra un pequeño sumario de las opciones.

-hardframedrop
    Salto mayor de imágenes (puede romper la decodificación). ¡Lleva a distorsiones de la imagen!

-identify
    Muestra parámetros del archivo en un formato analizable. El script wrapper TOOLS/midentify suprime todas las otras salidas de MPlayer y (con suerte) muestra los nombres de archivo.

-input <comandos>
    Esta opción puede usarse para configurar algunas partes del sistema de entrada. Las rutas son relativas a ~/.mplayer/.
    NOTA: Autorepetición está soportada actualmente solo por palanca de juegos. Las órdenes disponibles son: Leer input.conf alternativo. Si se da sin ruta, se supone que es ~/.mplayer. Retardo en mseg antes de empezar a autorepetir una tecla (0 para deshabilitar). Cuantas teclas pulsadas por segundo cuando se autorepite. Imprime todas las teclas que pueden ser asignadas. Imprime los comandos que pueden ser asignados. Especifica el dispositivo de palanca de juegos a usar (por defecto es /dev/input/js0). Lee comandos desde el archivo dado. Esto es más útil con un fifo.
    NOTA: Cuando el archivo especificado es un fifo MPlayer lo abre de manera que pueda hacer 'echo "seek 10" > mp_pipe' y el pipe sigue siendo válido.

-lircconf <archivo>
    Especifica un archivo de configuración para LIRC (Linux Infrared Remote Control, vea http://www.lirc.org) si no le gusta el que hay por defecto en ~/.lircrc.

-list-options
    Imprime todas las opciones disponibles.

-loop <número>
    Repite la reproducción de la película <número> veces. 0 significa para siempre.

-menu (CÓDIGO BETA)
    Activa soporte para menú OSD.

-menu-cfg <archivo> (CÓDIGO BETA)
    Usa un menu.conf alternativo.

-menu-root <valor> (CÓDIGO BETA)
    Especifica el menú principal.

-nojoystick
    Desactiva el soporte de joystick. Por defecto está activo, si está compilado para él.

-nolirc
    Desactiva el soporte para LIRC.

-nortc
    Desactiva el uso del RTC de Linux (reloj en tiempo real - /dev/rtc) como mecanismo de control de tiempo.

-playlist <archivo>
    Reproduce archivos de acuerdo a al archivo de lista (1 archivo por fila o formato Winamp o ASX).
    NOTA: Esta opción es considerada una entrada como entrada par alas opciones que después se aplican solo a los elementos de esta lista de reproducción.

-really-quiet
    Muestra todavía menos salida y mensajes de estado.

-shuffle
    Reproduce archivos en orden aleatorio.

-skin <skin directorio> (sólo GUI)
    Carga un skin o piel del directorio dado (SIN nombre de ruta). EJEMPLO: prueba Skin/fittyfene. Primero comprueba /usr/local/share/mplayer/ y después ~/.mplayer/.

-slave  Esta opción cambia a modo esclavo.
    Está pensada para usar MPlayer como un backend de otros programas. En lugar de interceptar eventos de teclado, MPlayer símplemente lee líneas de comandos desde la entrada estandar.

-softsleep
    Usa timers software de alta calidad. Tan preciso como RTC sin requerir privilegios especiales. Se paga el precio de un consumo alto de CPU.

-speed <0.01-100>
    Establece la razón de velocidad de reproducción.

-sstep <seg>
    Especifica los segundos entre imágenes mostradas. Útil para presentaciones.

-use-stdin
    La entrada estandar (aka. stdin) puede ser usada para leer datos en lugar de eventos de teclado. Si abre /dev/stdin (o el equivalente en su sistema), use stdin en una lista de reproducción o si quiere intentar leer de stdin mediante las órdenes loadfile o loadlist necesitará también esta opción.

OPCIONES DE DEMUXER/STREAM

-aid <id> (vea también la opción -alang)
    Selecciona canal de audio [MPEG: 0-31 AVI/OGM: 1-99 ASF/RM: 0-127 VOB(AC3): 128-159 VOB(LPCM): 160-191 MPEG-TS 17-8190] MPlayer imprime los IDs disponibles cuando se ejecuta en modo prolijo (-v). Cuando se reproducen flujos MPEG-TS, MPlayer/Mencoder usará el primer programa (si está presente) con el flujo de audio elegido.

-alang <código de país de dos letras> (vea también la opción -aid)
    Funciona solo con reproducción de DVD. Selecciona el idioma de audio para el DVD y siempre intenta reproducir pistas cuyo lenguaje coincide con el código dado. Para ver la lista de idiomas disponibles, use con la opción -v y mire la salida. EJEMPLO: Reproduce en Español y cambia a Inglés si el Español no está disponible.

-audio-demuxer <number> (-audiofile solo)
    Fuerza el tipo de audio demuxer para -audiofile. Tome el ID del demuxer como se define en libmpdemux/demuxer.h. Use -audio-demuxer 17 para forzar detección .mp3.

-audiofile <nombredearchivo>
    Reproduce audio desde un archivo externo (WAV, MP3 u Ogg Vorbis) mientras visualiza una película.

-audiofile-cache <kBytes>
    Habilita caché para el flujo usado por -audiofile, usando la cantidad especificada de memoria.

-bandwidth <valor>
    Especifica el máximo ancho de banda para el streaming de red (para servidores que son capaces de enviar contenido en diferentes bitrates). Útil si quiere ver contenido multimedia en vivo desde una conexión lenta.

-cdrom-device <ruta al dispositivo>
    Sobreescribe el nombre por defecto del CDROM /dev/cdrom.

-cache <kBytes>
    Esta opción especifica cuánta memoria (en KBytes) se usa para precachear un archivo/URL. Especialmente útil en medios lentos (por defecto es -nocache).

-cdda <opción1:opción2>
    Esta opción puede ser usada para ajustar la lectura de AUDIO-CD de MPlayer. Las opciones disponibles son: establece la velocidad del CD establece el nivel de paranoia 0: deshabilita la comprobación
    1: solapa la comprobación solamente (por defecto)
    2: corrección y verificación completa usa dispositivo genérico SCSI especificado tamaño de lectura atómico fuerza el mínimo solapamiento de búsqueda durante la verificación a <valor> sectores. Asume que el desplazamiento inicial de la pista 1 como viene dada en el TOC será direccionada como LBA 0. Algunas unidades Toshiba necesitan esto para obtener los límites de las pistas correctamente. Añade <valor> sectores a los valores reportados cuando se direccionan pistas. Puede ser negativo. (nunca) aceptar reconstrucción imperfecta de datos.

-channels <número>
    Cambia el número de canales reproducibles, por defecto '2' si no se especifica. Si el número de canales de salida es mayor que el número de canales de entrada se insertan canales vacíos (a menos que se mezcle de mono a estéreo, entonces el canal mono es repetido en ambos canales de salida). Si el número de canales de salida es menor que el número de canales de entrada, el resultado depende del decodificador de audio (-afm). MPlayer pregunta al decodificador para decodificar el audio en tantos canales como se haya especificado. Ahora se coloca el decodificador hasta rellenar los requisitos. Si la salida del decodificador tiene más canales de los pedidos, los canales excedentes son truncados. Esto es normalmente importante solo cuando se reproducen videos con audio AC3 (como DVDs). En este caso liba52 decodifica por defecto y mezcla correctamente el audio en el número de canales requeridos.
    NOTA: Esta opción es agradecida por los codecs (AC3 solo) filtros (surround) y controladores ao (al menos OSS). Las opciones disponibles son: stereo surround 5.1 completo

-chapter <id del capítulo>[-<id capítulo final>]
    Especifica qué capítulo se empieza a reproducir. Opcionalmente se especifica en qué capítulo se termina la reproducción (por defecto: 1). Se pueden encontrar ejemplos más abajo.

-cookies
    Envía cookies cuando hace peticiones HTTP.

-cookies-file <nombredearchivo>
    Lee cookies HTTP desde este archivo. Se supone que el archivo está en formato de Netscape. Si usa esta opción, MPlayer no buscará las cookies en "~/.netscape/" y "~/.mozilla/".

-demuxer <número>
    Fuerza el tipo de demuxer. Dado el ID del demuxer como se define en libmpdemux/demuxer.h Use -demuxer 17 para forzar detección .mp3.

-dumpaudio (MPLAYER solamente)
    Vuelca audio comprimido raw a ./stream.dump (útil con mpeg/ac3).

-dumpfile <nombredelarchivo> (MPLAYER solamente)
    Especifica en qué archivo debe volcar la salida MPlayer. Debe ser usado junto con -dumpaudio / -dumpvideo / -dumpstream.

-dumpstream (MPLAYER solamente)
    Vuelca el flujo raw a ./stream.dump. Útil cuando se ripea desde DVD o red.

-dumpvideo (MPLAYER solamente)
    Vuelca flujo de vídeo comprimido raw a ./stream.dump (no es muy útil).

-dvbin <opciones>
    Pasa los siguientes parámetros al módulo de entrada de DVB, para no usar los valores por defecto: Especifica el número de tarjeta usada 1-4 (por defecto: 1). Ordena a MPlayer que lea los canales desde la lista <archivo>. Especifica si el tipo de tarjeta es SATélite, TERrestre o CaBLe. Si no se especifica el tipo se usará autodetección.

-dvd-device <ruta al dispositivo>
    Sobreescribe el nombre por defecto del dispositivo de DVD /dev/dvd.

-dvdangle <ángulo id>
    Algunos discos DVD contienen escenas que pueden verse desde múltiples ángulos. Aquí puede usted decirle a MPlayer qué ángulos desea usar (por defecto: 1). Here you can tell MPlayer which angles to use (default: 1). Se pueden encontrar ejemplos más abajo.

-forceidx
    Fuerza la reconstrucción del INDICE. Útil para archivos con índice mal (desincronizados, etc). El posicionamiento se hace posible. Puede arreglar el índice permanentemente con MEncoder (vea la documentación).
    NOTA: Solo puede usar esta opción si el medio en el que está soporta posicionamiento (p.e. no se puede usar con stdin, pipe, etc).

-fps <valor>
    Sobreescribe el framerate de video (si el valor es incorrecto/falta en la cabecera) (número real).

-frames <número>
    Reproduce/convierte solo los primeros <número> frames, y luego termina.

-hr-mp3-seek (MP3 solamente)
    Posicionamiento mp3 de alta resolución. Por defecto está: habilitado cuando reproduce desde un archivo externo MP3, y se necesita posicionar en una posición concreta para mantener la sincronización A/V. Puede ser lento especialmente cuando se posiciona hacia atrás - tiene que rebobinar hasta el principio para encontrar el marco exacto.

-idx (vea también -forceidx)
    Reconstruye el INDICE del AVI si el INDICE no se encuentra, lo que permite posicionamiento. Es útil con descargas rotas/incompletas, o AVIs que están mal creados.
    NOTA: Solo puede usar esta opción si el medio que está reproduciendo soporta posicionamiento (p.e. no con stdin, pipe, etc).

-ipv4-only-proxy
    Se salta el proxy para direcciones IPv6. Sigue siendo usado para conexiones IPv4.

-loadidx <nombrearchivo>
    El nombre del archivo desde el que se leerán los datos INDEX del video, como se guardó con -saveidx. MPlayer leerá el índice desde nombrearchivo y usará estos datos para las búsquedas. Estos datos pueden usarse en lugar del índice contenido dentro del AVI. Es más, MPlayer no le avisará si carga un archivo índice generado desde un AVI diferente, pero seguramente obtendrá resultados poco favorables.
    NOTA: Esta opción está obsoleta, ya que MPlayer tiene soporte para OpenDML.

-mc <segundos/marco>
    Máxima sincronización A-V por marco (en segundos).

-mf <opción1:opción2:...>
    Usado cuando se decodifica de archivo múltiple de PNG o JPEG. Las opciones disponibles son: ancho de salida (autodetectado) alto de salida (autodetectado) fps de la salida (por defecto: 25) tipo de archivos de salida (tipos disponibles: jpeg, png, tga, sgi)

-ni (AVI solamente)
    Fuerza el uso de analizador de AVI no-entrelazado (corrige la reproducción de archivos AVI en mal estado).

-nobps (AVI solamente)
    No usa un valor medio de bytes/seg para sincronización A-V (AVI). Ayuda con algunos archivos AVI que tienen la cabecera en mal estado.

-noextbased
    Deshabilita la selección del demuxer basada en extensión-nombrearchivo. Por defecto, cuando un tipo de archivo (demuxer) no puede ser detectado con fiabilidad (el archivo no tiene cabecera o no es demasiado fiable), la extensión del nombre del archivo es usada para seleccionar el demuxer. Siempre se intenta comprobar la selección por el contenido del archivo.

-passwd <contraseña> (vea también la opción -user)
    Especifica una contraseña para autenticación http.

-prefer-ipv4
    Usa IPv4 en las conexiones de red. Si falla, usa IPv6 automáticamente.

-prefer-ipv6
    Usa IPv6 para las conexiones de red. Si falla, usa IPv4 automáticamente.

-rawaudio <opción1:opción2:...>
    Esta opción le permite reproducir archivos de audio raw. También puede usarse para reproducir audio CDs que no son 44KHz 16Bit estéreo. Las opciones disponibles son: usa demuxer de audio raw número de canales razón en muestras por segundo tamaño de la muestra en bytes fourcc en hex

-rawvideo <opción1:opción2:...>
    Esta opción le permite reproducir videos raw. Las opciones disponibles son: usa demuxer de video raw razón en imágenes por segundo, por defecto 25.0 establece tamaño estandar de imagen ancho de la imagen en pixels alto de la imagen en pixels image height in pixels establece espacio de color espacio de color (fourcc) en hex tamaño de marco en Bytes

-rtsp-stream-over-tcp
    Usado con URLs 'rtsp://' para especificar que los paquetes entrantes RTP y RTCP serán enviados a través de TCP (usando la misma conexión TCP como RTSP). Esta opción puede ser útil si dispone de una mala conexión a Internet que no acepta paquetes UDP entrantes (vea http://www.live.com/mplayer/).

-saveidx <archivo>
    Fuerza la reconstrucción del INDEX y da la salida en un archivo especificado en el nombre de archivo que tiene como argumento. Actualmente solo funciona con archivos AVI.
    NOTA: Esta opción está obsoleta, ya que MPlayer tiene soporte para OpenDML.

-sb <posición del byte> (vea también la opción -ss)
    Se posiciona en el byte indicado. Útil para reproducir desde imágenes de CDROM / archivos .VOB con cosas al principio.

-srate <Hz>
    Elige la tasa de muestreo de salida, remuestreando si es necesario. MEncoder pasa este valor a lame para remuestreado.

-ss <tiempo> (vea también la opción -sb)
    Se posiciona en el tiempo indicado. EJEMPLO: se posiciona en 56 segundos se posiciona en 1 hora 10 minutos

-tskeepbroken
    Le dice a MPlayer que no descarte paquetes TS detectados como no válidos en el medio que se esté reproduciendo. Algunas veces es necesario para reproducir archivos MPEG-TS corruptos.

-tsprog <1-65534>
    Mientras se reproducen flujos MPEG-TS, puede especificar con ésta opción que programa (si está presente) desea reproducir. Puede ser usada con -vid y -aid.

-tsprobe <posición byte>
    Durante la reproducción de MPEG-TS, esta opción le permite especificar cuántos bytes quiere que MPlayer busque para los pids de audio y video deseados.

-tv <opción1:opción2:...>
    Esta opción ajusta varias propiedades del módulo de captura de TV. Para ver la TV con MPlayer, use 'tv://' o 'tv://<número_canal>' o incluso 'tv://<nombre_canal> (vea la opción canales para nombre_canal más abajo) como una URL de película.
    NOTA: MPlayer no acepta dos puntos por lo que debe usar un punto en su lugar en el ID del dispositivo (p.e. hw.0,0 en lugar de hw:0,0).
    Se le avisa de que aunque puede seleccionar cualquier frecuencia de muestreo cuando use ALSA, el codec de audio LAME es capaz de codificar solo en frecuencias de muestreo 'estandar'. Obtendrá un archivo .avi sin sonido cuando elija una frecuencia de muestreo extraña y use ese codec. Las opciones disponibles son: sin sonido disponibles: dummy, v4l, v4l2, bsdbt848 Especifica otro dispositivo en lugar del que hay por defecto /dev/video0. Especifica otra entrada en lugar de la de por defecto 0 (Televisión) (vea la salida para obtener una lista) Especifica la frecuencia a establecer en el sintonizador (p.e. 511.250). No compatible con parámetros de canales. Especifica el formato de salida del sintonizador con un valor preestablecido soportado por el controlador V4L (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) o un formato arbitrario dado como valor hex. Pruebe outfmt=help para una lista de todos los formatos disponibles. anchura de la ventana de salida altura de la ventana de salida razón de captura de video (imágenes por segundo) tamaño máximo del buffer de captura en megabytes (por defecto: dinámico) disponible: PAL, SECAM, NTSC. Para v4l2 use la opción normid de más abajo. v4l2 solamente. Vea la salida de MPlayer para una lista de normas de TV disponibles. Coloca el sintonizador en el canal <valor>. disponibles: europe-east, europe-west, us-bcast, us-cable, etc Establece el nombre para los canales. Use _ para espacios en los nombres (o juegue con las comillas ;-). Los nombres de canal serán escritos usando OSD, y los comandos tv_step_channel, tv_set_channel y tv_last_channel estarán disponibles usando un mando a distancia (vea lirc). No compatible con el parámetro de frecuencia. Advertencia: El número de canal debe ser la posición en la lista de 'canales', comenzando con 1. Ejemplo: use tv://1, tv://2, tv://TV1, tv_set_channel 1, tv_set_channel 2, tv_set_channel TV1, etc. establece el ecualizador de color en la tarjeta establece la razón de captura de audio captura audio incluso si no hay origen de audio reportado por v4l captura desde ALSA selecciona un modo de audio: 0: mono
    1: stereo
    2: idioma 1
    3: idioma 2 Por defecto, la cuenta de canales de audio grabados es determinada automáticamente preguntando el modo de audio a la tarjeta de tv. Esta opción permite forzar grabación estéreo/mono sin importar la opción amode y los valores devueltos por v4l. Esto puede ser usado para solucionar problemas cuando la tarjeta de tv no es capaz de informar del modo de audio actual. establece el dispositivo de sonido /dev/... para OSS
    ID hardware para ALSA elije la salida de audio de la tarjeta capturadora, si tiene más de una. Estas opciones establecen los parámetros del mezclador en la tarjeta de captura de vídeo. No tiene efecto si la tarjeta no tiene mezclador. Para v4l1, 0-65535 es un rango válido. Para v4l2, el rango válido es 0 a 100, y 50 mapean el valor por defecto de control, como es reportado por el controlador. Un valor de 0 significa captura y buffer de audio y video juntos (por defecto para MEncoder). Un valor de 1 (por defecto para MPlayer) significa que la captura de video va sola y deja la captura de audio a través del cable de realimentación que se conecta desde la tarjeta de TV a la tarjeta de sonido. Usa compresión mjpeg por hardware (si la tarjeta lo soporta). Usando esta opción, no necesita especificar la anchura y altura de la ventana de salida, porque mplayer la determinará automáticamente desde el valor de decimación (vea más abajo). elije el tamaño de la imagen que será comprimida por compresión mjpeg por hardware: 1: tamaño completo
        704x576 PAL
        704x480 NTSC
    2: tamaño medio
        352x288 PAL
        352x240 NTSC
    4: tamaño pequeño
        176x144 PAL
        176x120 NTSC elije la calidad de la compresió jpeg
    (calidad < 60 recomendada para tamaño completo)

-user <nombre de usuario> (vea también la opción -passwd)
    Especifica un nombre de usuario para autenticación http.

-user-agent <cadena>
    Usa la cadena como User-Agent para el flujo HTTP. -vid <id> Selecciona el canal de video [MPG: 0-15 ASF: 0-255 MPEG-TS: 17-8190]. Cuando se reproducen flujos MPEG-TS, MPlayer/Mencoder usará el primer programa (si está presente) con el flujo de video elegido.

-vivo <sub-opciones> (CÓDIGO EN PRUEBAS)
    Fuerza parámetros de audio para el demuxer .vivo (para pruebas).

OPCIONES OSD/SUB
NOTA: Vea también la opción -vf.

-dumpjacosub (MPLAYER solamente)
    Convierte el subtítulo dado (especificado con la opción -sub) al formato de subtítulo basado en tiempo JACOsub. Crea un archivo dumpsub.js en el directorio actual.

-dumpmicrodvdsub (MPLAYER solamente)
    Convierte el subtítulo dado (especificado con la opción -sub) al formato de subtítulos MicroDVD. Crea un archivo dumbsub.sub en el directorio actual.

-dumpmpsub (MPLAYER solamente)
    Convierte el subtítulo dado (especificado con la opción -sub) al formato de subtítulos de MPlayer, MPsub. Crea un archivo dump.mpsub en el directorio actual.

-dumpsami (MPLAYER solamente)
    Convierte el subtítulo dado (especificado con la opción -sub) al formato de subtítulo basado en tiempo SAMI. Crea un archivo dumpsub.smi en el directorio actual.

-dumpsrtsub (MPLAYER solamente)
    Convierte el subtítulo dado (especificado con la opción -sub) al formato de subtítulo basado en tiempo SubViewer (SRT). Crea un archivo dumpsub.srt en el directorio actual.

-dumpsub (MPLAYER only) (CÓDIGO BETA)
    Vuelca el flujo de subtítulo desde archivos VOB Vea también las opciones -dump*sub y -vobsubout*.

-ffactor <número>
    Muestreo de mapa alpha de la tipografía. Puede ser: tipografía plana blanca línea exterior negra muy fina (por defecto) línea exterior negra fina línea exterior negra gruesa

-flip-hebrew
    Activa inversión de subtítulos usando FriBiDi.

-font <ruta a archivo font.desc>
    Búsqueda de tipografías OSB/SUB en un directorio alternativo (por defecto para tipografías normales: ~/.mplayer/font/font.desc, por defecto para tipografías FreeType: ~/.mplayer/subfont.ttf).
    NOTA: Con FreeType, esta opción determina la ruta al archivo de tipografía de texto.
    Con Fontconfig, esta opción determina el nombre de la tipografía de fontconfig. EJEMPLO: -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf
    -font 'Bitstream Vera Sans'

-fontconfig
    Habilita el uso de tipografías administradas por fontconfig.

-forcedsubsonly
    Muestra solo subtítulos forzados para el flujo de subtítulos de DVD seleccionado, p.e. -slang.

-fribidi-charset <nombre de conjunto de caracteres>
    Especifica el conjunto de caracteres que será pasado a FriBiDi cuando se decodifiquen subtítulos no-UTF8 (por defecto: ISO8859-8).

-ifo <archivo vobsub ifo>
    Indica el archivo que debe ser usado para cargar el tamaño de paleta y marco de subtítulos VOBSUB.

-noautosub
    Desactiva carga automática de archivos de subtítulo.

-osdlevel <0-3> (MPLAYER solamente)
    Especifica en qué modo de OSD se debe iniciar. solamente subtítulos volumen + posicionamiento (por defecto) volumen + posicionamiento + tiempo + porcentaje volumen + posicionamiento + tiempo + porcentaje + tiempo total

-overlapsub
    Permite que el siguiente subtítulo sea mostrado mientras el actual está aún visible (por defecto esto está habilitado solo para formatos específicos).

-sid <id> (vea también la opción -slang)
    Activa la presentación de subtítulos en DVD. Además, DEBE especificar un número que corresponde al idioma de subtítulo del DVD (0-31). Para obtener la lista de subtítulos disponibles, use la opción -v y consulte la salida.

-slang <código de país de dos letras> (vea también la opción -sid)
    Para reproducción de DVD, activa/selecciona el idioma de subtítulos de DVD. Para obtener la lista de subtítulos disponibles, úselo con la opción -v y consulte la salida.
    Por otro lado, determina un sufijo opcional de subtítulo que obtiene una prioridad alta cuando se buscan subtítulos. EJEMPLO: Selecciona Español y vuelve a Inglés si el Español no está disponible.

-spuaa <modo>
    Modo antialias/escalado para DVD/VobSub. Un valor de 16 puede añadirse al modo para forzar escalado incluso cuando la imagen original y la escalada coinciden en tamaño, por ejemplo para suavizar subtítulos cuando se usa difuminado gaussiano. Los modos disponibles son: ninguno (el más rápido, muy feo) aproximado (¿roto?) completo (lento) bilineal (por defecto, rápido y no demasiado malo) usa difuminado gaussiano swscaler (se ve bastante bien)

-spualign <-1-2>
    Especifica cómo deben alinearse los subtítulos spu (DVD/VobSub). Los valores son los mismos que para -subalign, con la elección extra de -1 para la posición original.

-spugauss <0.0-3.0>
    Parámetro de varianza de gaussiana usado por -spuaa 4. Valores más altos significa más difuminado. Por defecto se toma 1.0.

-sub <archivosubtítulos1,archivosubtítulos2,...>
    Uso/muestra esos archivos de subtítulos. Solo un archivo puede ser mostrado en un momento dado y los archivos pueden intercambiarse con 'j'.

-sub-bg-alpha <0-255>
    Especifica el valor de canal alfa para subtítulos y OSD de fondo. Valores grandes significa mayor transparencia. El valor 0 es una excepción y significa totalmente transparente.

-sub-bg-color <0-255>
    Especifica el valor de color para subtítulos y OSD de fondo. Actualmente los subtítulos están en escala de grises y este valor es la intensidad del color. El valor 255 significa blanco y 0 negro.

-sub-demuxer <número> (solo con -subfile) (CÓDIGO BETA)
    Fuerza el tipo de demuxer de subtítulos para -subfile. Especifica ID de demuxer como está definido en subreader.h.

-sub-fuzziness <modo>
    Ajusta el nivel de afinado cuando busca subtítulos: coincidencia exacta carga todos los subtítulos que contengan el nombre de la película carga todos los subtítulos en el directorio actual

-sub-no-text-pp
    Deshabilita todo tipo de postproceso de texto después de cargar los subtítulos. Usado para pruebas.

-subalign <0-2>
    Especifica cómo deben alinearse los subtítulos con subpos. 0 significa alinear desde arriba (comportamiento original/por defecto), 1 significa alinear al centro, y 2 significa alinear abajo.

-subcc
    Muestra subtículos de DVD Closed Caption (CC). Esto no es los subtítulos VOB, son subtítulos especiales ASCII codificados para el que no oye bien en el flujo de datos de usuario VOB en la mayoría de los DVDs de la región 1. Los subtítulos CC no han sido publicados en DVDs de otras regiones hasta ahora.

-subcp <codepage>
    Si su sistema soporta iconv(3), puede usar esta opción para especificar la página de códigos para los subtítulos. EJEMPLO: -subcp latin2
    -subcp cp1250

-subdelay <seg>
    Retrasa subtítulos por <seg> segundos. Puede ser negativo.

-subfile <nombredearchivo> (CÓDIGO BETA)
    Actualmente no es útil. Lo mismo que -audiofile, pero para flujos de subtítulos (¿OggDS?).

-subfont-autoscale <0-3> (solamente FreeType)
    Establece el modo de autoescala.
    NOTA: Cero significa que escala-de-texto y escala-de-osd son tipografías medidas en puntos. El modo puede ser: sin autoescala proporcional a la altura de la película proporcional a la anchura de la película proporcional a la diagonal de la película (por defecto)

-subfont-blur <0-8> (solamente FreeType)
    Establece el radio de difuminado de la tipografía (por defecto: 2).

-subfont-encoding <valor> (solamente FreeType)
    Establece la codificación del tipo de letra. Cuando se establece a 'unicode', todos los símbolos del archivo de tipo de letra son renderizados y es usado unicode (por defecto: unicode).

-subfont-osd-scale <0-100> (solamente FreeType)
    Establece el coeficiente de autoescala de los elementos del osd (por defecto: 6).

-subfont-outline <0-8> (solamente FreeType)
    Establece el grosor de la línea de contorno de las letras (por defecto: 2).

-subfont-text-scale <0-100> (solamente FreeType)
    Establece el coeficiente de autoescala del texto de subtítulos (porcentaje del tamaño de pantalla) (por defecto: 5).

-subfps <razón>
    Especifica la razón en imágenes/seg del archivo de subtítulos (número real), por defecto: el mismo fps que la película.
    NOTA: SOLO archivos SUB basados en imágenes, p.e. NO el formato MicroDVD.

-subpos <0-100> (útil con -vf)
    Especifica la posición de los subtítulos en pantalla. El valor es la posición vertical de los subtítulos en % de la altura de pantalla.

-subwidth <10-100>
    Especifica el ancho máximo de los subtítulos en pantalla. Útil para salida de TV. El valor es la anchura de los subtítulos en % del ancho de la pantalla.

-unicode
    Le dice a MPlayer que maneje los archivos de subtítulos como UNICODE.

-utf8
    Le dice a MPlayer que maneje los archivos de subtítulos como UTF8.

-vobsub <archivo vobsub sin extensión>
    Especifica los archivos VobSub que serán usados para subtítulos. Esto es la ruta completa sin extensiones, p.e. sin el '.idx',

-vobsubid <0-31>
    Especifica el id del subtítulo VobSub.

OPCIONES DE SALIDA DE AUDIO (MPLAYER SOLAMENTE)

-abs <valor> (OBSOLETO)
    Sobreescribe la detección del tamaño del buffer de audio del controlador/tarjeta, -ao oss solamente

-ao <controlador1[:dispositivo],controlador2,...[,]>
    Especifica una lista prioritaria de controladores de salida de audio (opcionalmente con el dispositivo) para ser usados. Con el 'dispositivo' SDL es válido, también, en cuyo caso significa subdriver.
    NOTA: Para obtener una lista completa de controladores, vea -ao help.
    Si la lista tiene una ',', regresa a controladores que no estén listados. EJEMPLO: intenta usar OSS con los dispositivos de sonido especificados y regresa a otros si esto falla especifica el subdriver SDL

-aofile <nombrearchivo>
    Nombre de archivo para -ao pcm.

-aop <list=plugin1,plugin2...:opción1=valor1:opt2=val2...>
    Especifica los plugin(s) de audio y sus opciones (vea también la documentación). Las opciones disponibles son: lista de plugins separados por comas (resample, surround, format, volume, extrastereo, volnorm) plugin de ejemplo, no usar. formato de salida (formato para el plugin solamente) frecuencia de salida (plugin de resample solamente) volumen (plugin de volumen solamente) coeficiente de estéreo (por defecto: 2.5) (plugin extraestéreo solamente) compresor con capacidad / 'soft-clipping' (plugin de volumen solamente)

-delay <seg>
    Auto retardo en segundos (puede ser +/- número real).

-format <0-8192>
    Selecciona el formato usado para la salida desde la capa de filtro (de acuerdo a los defines en libao2/afmt.h): Mu-Law A-Law Ima-ADPCM Signed 8-bit Unsigned 8-bit Unsigned 16-bit (Little-Endian) Unsigned 16-bit (Big-Endian) Signed 16-bit (Little-Endian) Signed 16-bit (Big-Endian) MPEG (2) Audio AC3 Signed 32-bit (Little-Endian) Signed 32-bit (Big-Endian)

-mixer <dispositivo>
    Esta opción le dice a MPlayer que use un dispositivo diferente para mezclar en lugar de /dev/mixer.

-mixer-channel <mixer line> (solo para -ao oss)
    Esta opción le dice a MPlayer que use un canal diferente al PCM por defecto para controlar el volumen. Las opciones incluyen vol, pcm, line. Para una lista completa de opciones busque SOUND_DEVICE_NAMES en /usr/include/linux/soundcard.h.

-nowaveheader (-ao pcm solamente)
    No incluir encabezado wave. Usado para RAW PCM.

OPCIONES DE SALIDA DE VIDEO (MPLAYER SOLAMENTE)

-aa* (-vo aa solamente)
    Puede obtener una lista y explicación de las opciones disponibles ejecutando mplayer -aahelp

-adapter <valor> (-vo directx solamente)
    Establece la tarjeta gráfica que recibirá la imagen. Necesita la opción -vm para funcionar. Puede obtener una lista de las tarjeta gráficas disponibles cuando ejecute esta opción con -v.

-bpp <profundidad>
    Usar una profundidad de color diferente a la autodetectada. No todos los drivers -vo lo soportan (fbdev, dga2, svga, vesa).

-brightness <-100-100>
    Ajusta el brillo del video de salida (por defecto 0). Cambia la intensidad de los componentes RGB de la señal de video desde el negro hasta la pantalla blanca.

-contrast <-100-100>
    Ajusta el contraste del video de salida (por defecto 0). Funciona de manera similar al brillo.

-dfbopts <valor> (-vo directfb solamente)
    Especifica una lista de parámetros del controlador directfb.

-display <nombre>
    Especifica el nombre del host y muestra el número de servidor X en el que se desea mostrar. EJEMPLO: -display xtest.localdomain:0

-double
    Activa doble buffer. Corrije parpadeos almacenando dos imágenes en memoria, y mostrando una mientras se decodifica la otra. Puede afectar al OSD. Necesita el doble de memoria que con buffer simple, por lo que puede no funcionar en tarjetas que tenga muy poca memoria.

-dr Activa el renderizado directao (no soportado por todos los codecs y salidas de video) (por defecto está desactivado). Advertencia: ¡puede causar corrupción de OSD/SUB!

-dxr2 <opción1:opción2:...>
    Esta opción es usada para controlar el driver dxr2. modo de radio de aspecto (0 = normal, 1 = pan scan, 2 = letterbox (por defecto)) modo de salida iec958 establece modo de salida iec958 al decodificador (por defecto) modo macrovisión (0 = desactivado (por defecto), 1 = agc, 2 = agc 2 colorstripe, 3 = agc 4 colorstripe) silencia la salida de audio reactiva la salida de audio ruta al microcódigo
    Salida de TV
activa el modo de salida 7.5 IRE desactiva el modo de salida 7.5 IRE (por defecto) salida de TV en color (por defecto) salida de TV entrelazada (por defecto) desactiva la salida de TV entrelazada norma de TV (ntsc (por defecto), pal, pal60, palm, paln, palnc) establece el modo de pixel a cuadrado establece el modo de pixel a ccir601
    Superposición
establece el valor de recorte por la izquierda (por defecto: 50) establece el valor de recorte por la derecha (por defecto: 300) establece el valor de recorte por arriba (por defecto: 0) establece el valor de recorte desde abajo (por defecto: 0) establece la ganancia de color de superposición en r(ed) (rojo), g(reen) (verde) o b(lue) (azul) valor mínimo para para la clave de color respectiva valor máximo para la clave de color respectiva ignora la caché de configuración de superposición actualiza la caché de configuración de superposición activa información en pantalla en superposición desactiva información en pantalla en superposición (por defecto) ajusta el tamaño de superposición (h, w) y posición (x, y) en caso de que no coincida con la ventana perfectamente (por defecto: 0) activa superposición (por defecto) activa salidaTV afina la superposición (por defecto 1000)

-fb <dispositivo> (fbdev o DirectFB solamente) (OBSOLETO)
    Especifica el dispositivo de framebuffer a usar. Por defecto usa /dev/fb0.

-fbmode <nombredelmodo> (fbdev solamente)
    Cambia el modo de video al que se haya denominado como <nombredelmodo> en /etc/fb.modes.
    NOTA: VESA framebuffer no soporta el cambio de modo.

-fbmodeconfig <nombrearchivo> (fbdev solamente)
    Usa este archivo de configuración en lugar del que hay por defecto /etc/fb.modes. Solo es válido para el controlador fbdev.

-forcexv (SDL solamente)
    Fuerza el uso de XVideo.

-fs Reproducción a pantalla completa (centra la película, y crea bandas negras alrededor). Se cambia con la tecla 'f' (no todas las salidas de video lo soportan). Vea también -zoom.

-fsmode-dontuse <0-31> (OBSOLETO) (use la opción -fs)
    Pruebe esta opción si continúa teniendo problemas en pantalla completa.

-fstype <tipo1,tipo2,...>
    Especifica una lista de prioridad de los modos de capa de pantalla completa para ser usados. Los tipos disponibles son: Usa _NETWM_STATE_ABOVE si está disponible Usa _NETWM_STATE_BELOW si está disponible Usa _NETWM_STATE_FULLSCREEN si está disponible Usa _WIN_LAYER con la capa por defecto Usa _WIN_LAYER con el número de capa indicado Fuerza estilo NETWM No establece una capa de ventana de pantalla completa Usa _NETWM_STATE_STAYS_ON_TOP si está disponible

    Puede negar los modos usando un "-" como prefijo.
    El orden por defecto es "layer,stays_on_top,above,fullscreen". Se usará por defecto en caso de especificar modos incorrectos o no soportados.
    Los usuarios de OpenBox 1.x tienen que usar -fstype -fullscreen para que funcione el cambio de fs.
    Si experimenta problemas con pantalla completa que es cubierta por otras ventanas pruebe a usar un orden diferente.
    NOTA: Vea la ayuda de -fstype para una lista completa de los modos disponibles.

-geometry x[%][:y[%]] or [WxH][+x+y]
    Ajusta donde se tendrá la salida en pantalla inicialmente. Las especificaciones x e y son medidas en pixels desde arriba-izquierda de la pantalla hasta arriba-izquierda de la imagen que será mostrada, sin embargo si se indica el signo de porcentaje después del argumento el valor se toma como un porcentaje del tamaño de la pantalla en esa dirección. También soporta el formato de opción estandar de la opción -geometry del estandar X. Los valores dados deben ser enteros.
    NOTA: Esta opción está solo soportada por vo x11, xmga, xv, xvmc, xvidix, directx y tdfxfb. EJEMPLO: Coloca la ventana en x=50, y=40. Coloca la ventana en la mitad de la pantalla. Coloca la ventana en la esquina superior izquierda de la pantalla. Coloca la ventana en la esquina inferior izquierda de la pantalla.

-guiwid <id de ventana>
    Esto le dice al GUI que use una ventana X11 y se pegue debajo del video, lo cual es útil para embebir en un navegador un mini-GUI (con el plugin MPlayer por ejemplo).

-hue <-100-100>
    Ajusta hue de la señal de video (por defecto: 0). Puede obtener negativos coloreados de la imagen con esta opción.

-jpeg <opción1:opción2:...> (-vo jpeg solamente)
    Especifica las opciones para la salida JPEG.
    Las opciones disponibles son: Especifica JPEG estandar o progresivo. Especifica el uso o no de línea base. Factor de optimización [0-100] Factor de suavizado [0-100] Factor de calidad [0-100] Directorio donde se salvarán los archivos JPEG

-monitor-dotclock <rango dotclock (o pixelclock)> (fbdev y vesa solamente)
    Consulte en etc/example.conf para más información y en DOCS/HTML/es/devices.html#video-dev.

-monitor-hfreq <rango frecuencia horizontal> (fbdev y vesa solamente)

-monitor-vfreq <rango frecuencia vertical> (fbdev y vesa solamente)

-monitoraspect <razón>
    Establece la razón de aspecto de su monitor o pantalla de TV. Vea también -aspect para el aspecto de la película. EJEMPLO: -monitoraspect 4:3 o 1.3333
    -monitoraspect 16:9 o 1.7777

-nograbpointer
    No capturar el puntero del ratón después de cambiar el VidMode (-vm), útil en una configuración multicabeza.

-nokeepaspect
    No mantener la razón de aspecto cuando se redimensionan ventanas X11 (Funciona actualmente solo con -vo x11, xv, xmga y xvidix y su administrador de ventanas necesita entender los consejos de aspecto de ventana.).

-noxv (SDL solamente)
    Deshabilita el controlador XVideo SDL.

-ontop
    Hace que la ventana de reproducción se quede por encima de las otras ventanas. Soportado por controladores que usen X11, excepto SDL, así como directx y gl2 bajo Windows.

-panscan <0.0-1.0>
    Activa funcionalidad Pan y Scan, p.e. para mostrar una película 16:9 en una pantalla 4:3, los lados de la pantalla son recortados para obtener una imagen 4:3 que se ajusta a la pantalla. Esto funciona solamente con los drivers de salida de video xv, xmga, mga y xvidix.
    El rango controla cuánto de la imagen será recortado.

-refreshrate <Hz>
    Establece la frecuencia de refresco del monitor en Hz. Actualmente solo está soportado por -vo directx combinado con la opción -vm.

-rootwin
    Reproduce la película en la ventana raíz (fondo de escritorio) en lugar de abrir una nueva. Funciona solo con los controladores de x11, xv, xmga y xvidix.

-saturation <-100-100>
    Ajusta la saturación de la salida de video (por defecto: 0). Puede obtener salida en escala de grises con esta opción.

-screenh <pixels> -screenw <pixels>
    Si usa un controlador de salida que no conoce la resolución de la pantalla (fbdev/x11 y/o TVout) aquí es donde puede especificar la resolución horizontal y vertical.

-stop-xscreensaver
    Desactiva el protector de pantalla al comienzo y lo vuelve a activar al finalizar.

-vm Intenta cambiar a un modo de video mejor. dga, x11/xv (XF86VidMode) y los drivers de salida sdl lo soportan. Si se usa con el controlador de salida de video de directx las opciones -screenw, -screenh, -bpp y -refreshrate pueden usarse para establecer un nuevo modo de pantalla.

-vsync
    Activa VBI para vesa.

-wid <id de ventana>
    Le dice a MPlayer que use una ventana X11, lo cual es útil para embebir MPlayer en un navegador (con una extensión de plugger por ejemplo).

-xineramascreen <0-...>
    En configuraciones de Xinerame (p.e. un solo escritorio que se extiende sobre múltiples pantallas) esta opción le dice a MPlayer en qué pantalla ha de reproducir la película.

-z <0-9>
    Especifica el nivel de compresión para la salida PNG (-vo png) sin compresión máx compresión

-zrbw (-vo zr solamente)
    Muestra en blanco y negro (para rendimiento óptimo, esta opción puede combinarse con la opción 'decodificar en blanco y negro' para los codecs que pertenecen a la familia FFmpeg).

-zrcrop <[ancho]x[alto]+[desplazamiento x]+[desplazamiento y]> (-vo zr solamente)
    Selecciona una parte de la imagen de entrada para mostrar, se puede usar esta opción varias veces para cambiar en modo cinerama. En el modo cinerama la película es distribuida sobre más de una TV (o emisiones) para crear una pantalla mayor. Las opciones que aparecen después de n-ésimo -zrcrop se aplican a la tarjeta n-ésima, cada tarjeta debe al menos tener un -zrdev adicionalmente a -zrcrop. Para ejemplos, vea la salida de -zrhelp y la sección Zr de la documentación.

-zrdev <dispositivo> (-vo zr solamente)
    Especifica el archivo especial de dispositivo que corresponde a su tarjeta MJPEG, por defecto este controlador toma el primer dispositivo v4l que encuentra.

-zrfd (-vo zr solamente)
    Fuerza decimación: Decimación, como se especifica por -zrhdec y -zrvdec, solamente ocurre si el escalador hardware puede ajustar el tamaño de la imagen a su tamaño original. Use esta opción para forzar la decimación.

-zrhelp (-vo zr solamente)
    Muestra una lista de todas las opciones de -zr*, sus valores por defecto y un ejemplo del modo cinerama.

-zrnorm <norma> (-vo zr solamente)
    Especifica la norma PAL/NTSC, por defecto es 'sin cambios'.

-zrquality <1-20> (-vo zr solamente)
    Un número de 1 a 20 representando la calidad de codificación jpeg. 1 da la mejor calidad y 20 la peor de todas.

-zrvdec <1,2,4> -zrhdec <1,2,4> (-vo zr solamente)
    Decimación Vertical/horizontal: Pregunta al driver para enviar solo segunda o cuarta línea/pixel de la imagen de entrada a la tarjeta MJPEG y usa el escalador de la tarjeta MJPEG para ajustar el tamaño de la imagen a su tamaño original.

-zrxdoff <desplazamiento x de la imagen>,
    -zrydoff <desplazamiento y de la imagen> (-vo zr solamente) Si la película es menor que la pantalla de TV, estas opciones controlan la posición de la película relativa a la esquina superior izquierda de la pantalla. La película es centrada por defecto.

OPCIONES DE DECODIFICADO/FILTRADO

-ac <[-]codec1,[-]codec2,...[,]>
    Especifica una lista de prioridades de codecs de audio para ser usados, de acuerdo con su nombre del codec en codecs.conf. Use un '-' antes del nombre del codec para omitirlo.
    NOTA: Vea -ac help para una lista completa de los codecs disponibles.
    Si la lista tiene una ',' al final se vuelve a los codecs no listados. EJEMPLO: fuerza el codec MP3 l3codeca.acm prueba libmad primero, después vuelve a los otros prueba pasar a través de hardware AC3, luego el codec por software AC3, y finalmente otros prueba otros codecs excepto el decodificador de MP3 FFmpeg

-af <plugin1[=opciones],plugin2,...>
    Activa una lista separada por comas de filtros de audio y sus opciones.
    Los filtros disponibles son: Cambia la frecuencia de muestreo del flujo de audio a un srate entero (Hz). Solo suporta el formato little endian de 16 bit. Cambia el número de canales a nch canales de salida. Si el número de canales de canales de salida es mayor que el número de canales de entrada se insertan canales vacíos (excepto para la mezcla de mono a estéreo, en cuyo caso el canal mono se repite en ambos canales de salida). Si el número de canales de salida es menor que el número de canales de entrada los canales excedentes son truncados. Selecciona el formato f y los bytes por muestra bps usados para la salida de la capa de filtro. La opción bps es un entero y denota Bytes por muestra. El formato f es una cadena de texto conteniendo una mezcla concatenada de:
    alaw, mulaw o imaadpcm
    float o int
    unsigned o signed
    le o be (little o big endian)
    Selecciona el nivel del volumen de salida. El filtro no es reentrante y puede ser solo activado una vez para cada flujo de audio. v: ganancia deseada en dB para todos los canales en el flujo de audio. La ganancia puede ser establecida desde -200dB hasta +40dB (donde -200dB silencia el sonido completamente y +40dB es igual a una ganancia de 1000).
    sc: activa recortado por software. Mezcla canales arbitrariamente, vea DOCS/HTML/es/devices.html#audio-dev para detalles. n: número de canales de salida (1-6).
    lij: cuánto del canal de entrada j es mezclado con el canal de salida i. Añade canal de sub-woofer. fc: Frecuencia de corte para el filtro paso-baja (20Hz a 300Hz) por defecto es 60Hz.
    ch: número de canal para el sub-canal. Decodificador para el surround de matriz de codificación, funciona en cualesquiera archivos de 2 canales. d: tiempo de retardo en ms para los altavoces traseros (0ms a 1000ms) por defecto son 15ms. Retarda la salida de sonido. Especifica el retardo separadamente para cada canal en milisegundos (número real entre 0 y 1000). Exporta la señal entrante a otro proceso usando mapeado de memoria (mmap()). mmapped_file: Archivo con los datos a mapear (por defecto: ~/.mplayer/mplayer-af_export).
    nsamples: número de muestras por canal (por defecto: 512)

-af-adv <force=(0-3):list=(filtros)> (vea también la opción -af)
    Especifica opciones avanzadas de filtros de audio: Fuerza la inserción de filtros de audio de una de las siguientes maneras: 0: Inserción de filtros completamente automática (por defecto)
    1: Optimizada para precisión
    2: Optimizada para velocidad
    3: Desactiva auto Lo mismo que -af (vea también la opción -af).

-afm <driver1,driver2,...>
    Especifica una lista de prioridades de controladores de audio, de acuerdo a su nombre en codecs.conf. Se queda en el que tiene por defecto si ninguno funciona bien.
    NOTA: Vea -afm help para una lista completa de los controladores disponibles. EJEMPLO: prueba codecs FFmpeg libavcodec (mp1/2/3) primero prueba los codecs Win32 primero

-aspect <razón>
    Sobreescribe la razón de aspecto de las películas Es autodetectada en archivos MPEG, pero puede no ser autodetectada en la mayoría de los archivos AVI. EJEMPLO: -aspect 4:3 o -aspect 1.3333
    -aspect 16:9 o -aspect 1.7777

-noaspect
    Desactiva la compensación automática de la relación de aspecto de la película.

-flip
    Voltea la imagen arriba-abajo.

-lavdopts <opción1:opción2:...> (CÓDIGO DE PRUEBA)
    Si se decodifica con libavcodec, puede especificar parámetros aquí. EJEMPLO: -lavdopts bug=1
    NOTA: Simplemente añade los valores de las cosas que quiere habilitar.
    Las opciones disponibles son:
ocultación de errores: 1: usa un filtro debloqueador fuerte para MBs dañados
2: búsqueda MV iterativa (lento)
3: todos (por defecto) elasticidad de errores:
0: deshabilitado
1: cuidadoso (debe funcionar con codificadores en mal estado)
2: normal (por defecto) (funciona con codificadores que lo cumplan)
3: agresivo (más comprobaciones pero puede causar problemas incluso para flujos válidos)
4: muy agresivo debug:
0: desactivado
1: información de imagen
2: control de tasa
4: bitstream
8: tipo de MB
16: QP
32: vector de movimiento
0x0040: Visualización de vector de movimiento (use -noslices)
0x0080: salto de MB
0x0100: startcode
0x0200: PTS
0x0400: error resilience
0x0800: operaciones de control de manejo de memoria (H264)
0x1000: fallos vismv:
0: deshabilitado
1: visualiza MVs de marcos de imagen P previstos en adelante
2: visualiza MVs de marcos de imagen B previstos en adelante
4: visualiza MVs de marcos de imagen B previstos hacia atrás corrige manualmente errores en el codificador: 0: nada
1: autodetectar errores (por defecto)
2 (msmpeg4v3): algunos archivos antiguos msmpeg4v3 generados con lavc (no autodetectado)
4 (mpeg4): error de entrelazado de XviD (autodetectado si fourcc==XVIX)
8 (mpeg4): UMP4 (autodetectado si fourcc==UMP4)
16 (mpeg4): error de rellenado (autodetectado)
32 (mpeg4): error de vlc ilegal (autodetectado para fourcc)
64 (mpeg4): error qpel XviD y DivX (autodetectado para fourcc/ver)
128 (mpeg4): qpel estandar antiguo (autodetectado para fourcc/ver)
256 (mpeg4): otro error qpel (autodetectado para fourcc/ver)
512 (mpeg4): error direct-qpel-blocksize (autodetectado para fourcc/ver)
1024 (mpeg4): error de rellenado de bordes (autodetectado para fourcc/ver) (vea lavcopts) Para una mejor calidad de la decodificación usa el mismo algoritmo para decodificar y codificar. Esto, sin embargo, hace que se pague un precio en precisión. decodificación solo en escala de grises (un poco más rápida que con color)

-noslices
    Desactiva el dibujado de video por bandas/rebanadas de altura de 16-pixels, en lugar de dibujar la imagen entera de una pasada. Puede ser más rápido o más lento, dependiendo de la cache/tarjeta. Solo tiene efecto con los codecs libmpeg2 y libavcodec.

-nosound
    No reproduce/codifica sonido.

-novideo
    No reproduce/codifica video.

-oldpp <calidad> (OBSOLETO)
    Usa el código de postprocesado opendivx en lugar del interno. Ahora ha pasado a ser -pp, el postprocesado interno ofrece mejor calidad y rendimiento. El rango válido de los valores para -oldpp varían con el codec, la mayoría de las veces es 0-6, donde 0=desactivado 6=lento/el mejor.

-pp <calidad> (¡vea también la opción -vf pp!)
    Establece el nivel de postprocesado de la DLL. Esta opción NO VOLVERÁ A SER USABLE con filtros de postprocesado de MPlayer, si no tan solo con DLLs Win32 DirectShow con rutinas internas de postprocesado. El rango válido de valores para -pp varía con el codec, la mayoría tienen de 0-6, donde 0=desactivado 6=lento/mejor.

-pphelp (vea también la opción -vf pp)
    Muestra un resumen sobre los filtros de postprocesado disponibles y su uso.

-ssf <modo>
    Especifica los parámetros de SwScaler. EJEMPLO: -vf escale -ssf lgb=3.0
Filtro difuminado Gaussiano (luma) Filtro difuminado Gaussiano (croma) filtro de perfilado (luma) filtro de perfilado (croma) desplazamiento de croma horizontal desplazamiento de croma vertical

-stereo <modo>
    Selecciona el tipo de salida estéreo de MP2/MP3. Estéreo Canal izquierdo Canal derecho

-sws <tipo de escalador software> (vea también la opción -vf)
    Esta opción establece la calidad (y velocidad, respectivamente) del escalador de software con la opción -zoom. Por ejemplo con x11 u otras salidas de video que no tengan aceleración por hardware. Las configuraciones posibles son:
    NOTA: Para -sws 2 y 7, el perfilado puede ser establecido con el parámetro de escalado (p) de -vf scale (0 (suave) - 100 (perfiles marcados)), para -sws 9, especifica la longitud del filtro (1 - 10). bilineal rápido (por defecto) bilineal bicúbico (calidad buena) experimental entorno cercano (calidad mala) area luma bicúbico / croma bilineal gauss sincR lanczos spline bicúbico

-vc <[-]codec1,[-]codec2,...[,]>
    Especifica una lista prioritaria de codecs para usarse, de acuerdo a sus nombres del codec en codecs.conf. Use un '-' antes del nombre del codec para omitirlo.
    NOTA: Vea -vc help para una lista completa de codecs disponibles.
    Si la lista tiene una ',' final, se probarán otros codecs no listados. EJEMPLO: fuerza codec DivX Win32/VFW, y no otros prueba primero el codec divx4linux, y luego prueba otros prueba otros codecs excepto los Win32 DivX prueba el codec libavcodec MPEG1/2, luego libmpeg2, y otros

-vfm <driver1,driver2,...>
    Especifica una lista prioritaria de codecs de video a ser usados, de acuerdo a sus nombres en codecs.conf. Regresa al que haya por defecto si no funciona ninguno.
    NOTA: Si ha sido compilado soporte para libdivxdecore, entonces odivx y divx4 ahora contienen justamente el mismo codec DivX4, pero diferentes APIs para usarlos. Por diferencias entre estos cuando se cambia, compruebe la sección DivX4 en la documentación.
    Vea -vfm help para una lista completa de controladores disponibles. EJEMPLO: prueba los codecs libavcodec, luego Direcshow, después VFW y regresa a otros, si todavía no funciona con ninguno prueba primero los codecs XAnim

-x <x> (MPLAYER solamente)
    Escala la imagen a ancho x (si hay escalado sw/hw disponible). Deshabilita cálculos de aspecto.

-xvidopts <opción1:opción2:...>
    Especifica parámetros adicionales cuando se decodifica con XviD. Activa el filtro de postprocesado interno de XviD: filtro de debloque de croma. Vea también -vf pp, que es más rápido que el propio filtro de XviD. Activa el filtro de postprocesado interno de XviD: filtro de debloque de luminancia. Vea también -vf pp, que es más rápido que el propio filtro de XviD. Activa el método 2 de renderizado directo. Desactiva el método 2 de renderizado directo. Activa el efecto de grano de película interno de XviD. Añade grano de película artificial al video. Puede incrementar la calidad percibida, mientras que disminuye un poco la calidad real. Vea también -vf noise.

-xy <valor>
    Escala la imagen en un factor <valor>. Establece el ancho al valor y calcula el alto para mantener la relación de aspecto correcta.

-y <y> (MPLAYER solamente)
    Escala la imagen a altura y (si hay escalado sw/hw disponible). Deshabilita cálculos de aspecto.

-zoom
    Permite escalar por software, cuando esté disponible. Puede ser usado para forzar escalado con -vf scale.
    NOTA: -vf scale IGNORA opciones -x / -y / -xy / -fs / -aspect sin -zoom.

FILTROS DE VIDEO
Los filtros de video son plugins que permiten modificar el flujo de video y sus propiedades. La sintaxis es:

-vf <filtro1[=parámetros],filtro2,...>
    Configura una cadena de filtros de video

-vop <...,filtro3[=parámetros],filtro2,filtro1> (OBSOLETO)
    Configura una cadena de filtros de video, a ser aplicados en orden inverso. Anticuado en favor de -vf.

Los parámetros son opcionales y si son omitidos, algunos serán tomados sus valores por defecto. Use '-1' para mantener el valor por defecto. Los parámetros w:h significan ancho x alto en pixels, x:y significa posición x;y contada desde la esquina superior izquierda de la imagen grande.
NOTA: Para obtener una lista completa de los filtros disponibles, vea -vf help. Los filtros son administrados en listas. Hay unas pocas órdenes para administrar la lista de filtros.

-vf-add <filtro1[,filtro2,...]>
    Añade los filtros dados como argumentos a la lista de filtros.

-vf-pre <filtro1[,filtro2,...]>
    Quita los filtros dados como argumentos a la lista de filtros.

-vf-del <índice1[,índice2,...]>
    Borra los filtros en los índices dados. Los números de índices comienzan en 0, los números negativos se direccionan al final de la lista (-1 es el último).

-vf-clr
    Vacía por completo la lista de filtros.

Con filtros que lo soporten, puede acceder a los parámetros por su nombre.

-vf <filtro>=help
    Muestra los nombres de los parámetros y el rango de valores para el filtro en particular.

-vf <filtro=nombre_parámetro1=valor1[:nombre_parámetro2=valor2:...]>
    Establece un parámetro dado por nombre al valor dado. Use on y off o yes y no para establecer o no los parámetros.

Los filtros disponibles son:

crop[=w:h:x:y]
    Recorta la parte de la imagen dada y descarta el resto. Útil para borrar bandas negras de películas en formato panorámico. Recortado con ancho y alto, con ancho y alto original por defecto. Posición de la imagen recortada, por defecto es centrada.

cropdetect[=0-255]
    Calcula los parámetros necesarios de recortado y muestra los parámetros recomendados en la salida estandar. El umbral puede ser especificado opcionalmente desde nada (0) hasta todo (255). (por defecto: 24)

rectangle[=w:h:x:y]
    El plugin responde a la directiva de input.conf 'change_rectangle' que tiene dos parámetros. ancho y alto (por defecto: -1, anchura máxima posible mientras continúan visibles las fronteras) posición de la esquina arriba izquierda (por defecto: -1, lo más a la izquierda posible, lo más arriba posible)

expand[=w:h:x:y:o]
    Expande (no escala) la resolución de la película al valor dado y coloca el original sin escalar en las coordenadas x, y. Puede ser usado para colocar subtítulos/OSD en las bandas negras resultantes. ancho,alto expandido (por defecto: ancho,alto original). Valores negativos para w y h son tratados como desplazamiento del tamaño original. EJEMPLO:
expand=0:-50:0:0
    añade un borde de 50 pixels en la parte de abajo de la imagen
posición del a imagen original en la imagen expandida (por defecto: centrada) renderizado de OSD/subtítulos 0: desactivado (por defecto)
1: activado

flip
    Voltea la imagen de arriba a abajo. Vea también la opción -flip.

mirror
    Hace espejo de la imagen en el eje Y.

rotate[=<0-7>]
    Rota y voltea (opcional) la imagen +/- 90 grados. Para parámetros entre 4-7 la rotación se hace solo si la geometría de la película es en vertical y no en horizontal.

scale[=w:h[:interlaced[:chr_drop[:param]:presize]]]
    Escala la imagen con el escalador de software (lento) y realiza una conversión en el espacio de color YUV<->RGB (vea también la opción -sws). Escala a ancho/alto (por defecto: ancho,alto original) NOTA: Si se usa -zoom, y filtros de capas (incluyendo libvo) no es posible escalar, y entonces se usará d_ancho/d_alto por defecto!
     0: d_width/d_height escalado
    -1: width/height original
    -2: Calcula w/h usando la otra dimensión y la razón de aspecto de preescalado.
    -3: Calcula w/h usando la otra dimensión y la razón de aspecto original. Cambia indicador de escalado entrelazado. Salto de crominancia 0: usa todas las líneas de entrada de crominancia disponibles
    1: usa solo cada 2. líneas de entrada para crominancia
    2: usa solo cada 4. líneas de entrada para crominancia
    3: usa solo cada 8. líneas de entrada para crominancia parámetro de escalado (depende del método de escalado usado) -sws 2 (bicúbico): perfilado (0 (suave) - 100 (nítido))
    -sws 7 (gaussiano): sharpness (0 (suave) - 100 (nítido))
    -sws 9 (lanczos): longitud del filtro (1 - 10) Escala a tamaños preestablecidos. qntsc: 352x240 (NTSC quarter screen)
    qpal: 352x288 (PAL quarter screen)
    ntsc: 720x480 (NTSC estándar)
    pal: 720x576 (PAL estándar)
    sntsc: 640x480 (NTSC square pixel)
    spal: 768x576 (PAL square pixel)

dsize={aspecto|w:h}
    Cambia el tamaño/aspecto deseado de la pantalla en un punto arbitrario de la cadena de filtro. El aspecto puede ser dado como una fracción (4/3) o como un número en coma flotante (1.33). Alternativamente, puede especificar el ancho y alto deseados exactos para la pantalla. Note que este filtro NO escala por sí mismo; solo afecta cuando se está escalando (software o hardware) o cuando se auto se auto-escala para corregir aspecto.

yuy2
    Fuerza conversión software YV12/I420 o 422P a YUY2. Útil para tarjetas de video/controladores con soporte YV12 lento pero soporte YUY2 rápido.

yvu9
    Fuerza la conversión en el espacio de color YVU9 a YV12. Ya no se usa en favor del escalador de software.

yuvcsp
    Mantiene los valores de color YUV en el rango CCIR 601 sin hacer una conversión real.

rgb2bgr[=swap]
    Conversión en el espacio de color RGB 24/32 <-> BGR 24/32. También realiza intercambio R <-> B.

palette
    Conversión usando paleta en el espacio de color RGB/BGR 8 -> 15/16/24/32bpp.

format[=fourcc]
    Restringe el espacio de color al siguiente filtro sin realizar ninguna conversión. Usar junto con el filtro de escalado para una conversión real. Para obtener una lista de los formatos disponibles vea formar=fmt=help. nombre del formato como rgb15, bgr24, yv12, etc (por defecto: yuy2)

noformat[=fourcc]
    Restringe el espacio de color para el siguiente filtro sin hacer ninguna conversión. A diferencia del filtro format, este pemite cualquier espacio de color excepto el que especifique. Para obtener una lista de los formatos disponibles vea noformat=fmt=help. nombres de formato son rgb15, bgr24, yv12, etc (por defecto: yv12)

pp[=filter1[:opción1[:opción2...]]/[-]filtro2...] (vea también -pphelp)
    Esta opción habilita el uso del filtro de postprocesado interno de MPlayer, y también proporciona una interfaz para que pueda pasarle opciones al filtro. Para obtener una lista de los filtros disponibles, use -pphelp. Note que cada sub-filtro debe separarse con un signo /.
    Cada filtro se aplica por defecto a 'c' (crominancia).
    Las palabras claves aceptan un prefijo '-' para desactivar la opción.
    A ':' seguido por una letra puede agregarse a la opción para indicar su objetivo: Desactivar automáticamente el filtro si la CPU es demasiado lenta. Hacer filtro de crominancia, también. No filtrar la crominancia (solo la luminancia).
    EJEMPLO:
eliminación de bloques horizontal y vertical, eliminación de efecto de anillos y brillo/contraste automático eliminación de bloques horizontal y vertical, eliminación de efecto de anillos, brillo/contraste automático y desentrelazador de mezcla lineal filtros por defecto sin corrección de brillo/contraste Activa los filtros por defecto y el eliminador temporal de ruido. Elimina bloques de luminancia solo horizontal y cambia a vertical o se desactiva dependiendo de la disponibiblidad del tiempo de CPU.

spp[=quality[:qp[:modo]]]
    filtro de postprocesado simple 0-6 (por defecto: 3) parámetro para forzar la cuantización (por defecto: 0, usa qp del video) 0: umbral fuerte (por defecto)
    1: umbral suave (mejor deringing, peor difuminado de imagen)

qp=ecuación
    filtro de cambio qp una ecualización como "2+2*sen(PI*qp)"

test
    Genera varios patrones de test.

rgbtest
    Genera un patrón de test RGB útil para detectar problemas de RGB frente a BGR. Debe ver franjas roja, verde y azul de arriba a abajo.

lavc[=quality:fps]
    Conversión sofware YV12 a MPEG1 con libavcodec para usar con DVB/DXR3. Más rápido y mejor calidad que con -vf fame. 1-31: qscale fijo
    32-: bitrate fijo en kBits fuerza los fps de salida (valor real) (por defecto: 0, autodetección basada en la altura)

fame
    Conversión software YV12 a MPEG1 con libfame para usar con DVB/DXR3.

dvbscale[=aspect]
    Configura un escalado óptimo para tarjetas DVB, escalando el eje X en hardware y calculando el eje Y por software para mantener el aspecto. Solo es útil junto con expand+scale (-vf dvbscale,scale=-1:0,expand=-1:576:-1:-1:1,lavc). controla la razón de aspecto, calculado como DVB_HEIGHT*ASPECTRATIO (por defecto 576*4/3=768), establezcalo a 576*(16/9)=1024 para una TV de 16:9.

noise[=luma[u][t|a][h][p]:chroma[u][t|a][h][p]]
    Agregar ruido. ruido en luminancia ruido en crominancia ruido uniforme (si no será gaussiano) ruido temporal (el patrón de ruido cambia entre imágenes) ruido temporal medio (suave, pero muy lento) alta calidad (ligeramente mejor de vista, ligeramente lento) mezcla ruido aleatorio con un patrón (semi)regular

denoise3d[=luma:chroma:time]
    Este filtro intenta reducir el ruido de la imagen produciendo imágenes suavizadas y haciendo que las imágenes quietas sean realmente quietas (Esto debería mejorar la compresibilidad). Puede tener de 0 a 3 parámetros. Si omite un parámetros, se usará un valor razonable. dureza de la luminancia espacial (por defecto = 4) dureza de crominancia espacial (por defecto = 3) dureza temporal (por defecto = 6)

hqdn3d[=luma:chroma:time]
    Versión de alta precisión/calidad del filtro denoise3d. Los parámetros y el uso son los mismos.

eq[=brillo:cont]
    Ecualizador software con controles interactivos como el ecualizador de hardware, para tarjetas/controladores que no soporten controles de brillo y contraste por hardware. También puede ser útil con MEncoder, para arreglar películas capturadas que no se vean bien, o para reducir ligeramente el contraste y enmascarar artificios que aparecen con bitrates bajos. Los valores iniciales en el rango -100-100 pueden darse en la línea de órdenes.

eq2[=gamma:contraste:brillo:saturación:rg:gg:bg:peso]
    Ecualizador por software alternativo que usa tablas de consulta (muy lento), permitiendo corrección de gamma además de los ajustes de brillo simple y ajustes de contraste. Note que usa el mismo código optimizado MMX que -vf eq si todos los valores de gamma son 1.0. Los parámetros son tomados como valores en coma flotante. Los parámetros rg, gg, bg son los valores de gamma independientes para las componentes de Rojo, Verde y Azul. Los valores por defecto son 1.0, brillo=0.0. El parámetro peso puede usarse para reducir el efecto de un valor alto del gamma en áreas con brillo, e.g. se mantiene para obtener más amplificadas y blancos planos. Un valor de 0.0 devuelve la corrección gamma de todo mientras que 1.0 da el máximo valor. Por defecto es gamma=1.0, contraste=1.0, brillo=0.0, saturación=1.0, peso=1.0. El rango es 0.1-10 para gamma, -2-2 para contraste (valores negativos resultan en imagen en negativo), -1-1 para brillo, 0-3 para saturación.

hue[=matiz:saturación]
    Por defecto es matiz=0.0, saturación=1.0. Los rangos de valores son -180-180 para matiz, -2-2 para saturación (valores negativos resultan en croma negativa).

halfpack[=f]
    Convierte YUV 4:2:0 planar a empaquetado 4:2:2 altura-media, rebajando la luminancia pero manteniendo todas las muestras de crominancia. Útil para dispositivos de salida de baja-resolución cuando el rebajado por hardware es de peor calidad o no está disponible. También peude usarse como un desenlazador primitivo de solo luminancia con un consumo muy bajo de cpu. Por defecto, halfpack hade medias de pares de líneas cuando baja el muestreo. El parámetro f opcional puede ser cero para usar solo líneas pares, o 1 para usar solo líneas impares. Cualquier otro valor para f hace que se use el comportamiento por defecto (para hacer la media).

ilpack[=mode]
    Cuando el video entrelazado es almacenado en formatos YUV 4:2:0, el entrelazado de crominancia no se alinea correctamente debido al submuestreo vertical de los canales de crominancia. Este filtro empaqueta los datos de 4:2:0 planar en formato YUY2 (4:2:2) con las líneas de crominancia en sus posiciones correctas, en cualquier scanline dado, la luminancia y la crominancia vienen ambos del mismo campo. El argumento opcional selecciona el modo de muestreo. Por defecto, se usa interpolación lineal (modo 1). El modo 0 usa muestreo por entorno más cercano, el cual es rápido pero incorrecto.

decimate[=max:hi:lo:frac]
    Ignora imágenes que no difieren mucho de las imágenes anteriores para reducir el número de imágenes por segundo. El argumento max (si es positivo) establece el máximo número de imágenes consecutivas que pueden ser ignoradas, o (si es negativo) el mínimo intervalo entre imágenes ignoradas. Una imagen es candidata a ser ignorada si no hay región de 8x8 que difiera más que un umbral de hi, y si no hay más que una porción frac (1 significa la imagen entera) que difiera más que el umbral de lo. Los valores de hi y lo son para bloques de pixels de 8x8 y representan las diferencias de valores de pixels actuales, para que un umbral de 64 corresponda a 1 unidad de diferencia para cada pixel, o el mismo esparcido de forma diferente sobre el bloque. El principal uso de este filtro es para codificación a bitrate-muy-bajo (p.e. streaming sobre conexión con modem), pero puede ser en teoría usado para corregir películas que han sido invertidas en telecine incorrectamente.

dint[=sense:level]
    Detecta y elimina la primera de las imágenes entrelazadas en el flujo de video. Los valores pueden ir de 0.0 a 1.0 - el primero (por defecto 0.1) es la diferencia relativa entre pixels del entorno, el segundo (por defecto 0.15) is qué parte de la imagen debe ser detectada como entrelazada para eliminar la imagen.

lavcdeint
    Usa el filtro de desentrelazado de livavcodec.

kerndeint[=umbral[map[:orden[:sharp[:twoway]]]]]
    Desentralazador de núcleo adaptativo de Donald Graft. Desentrelaza partes de video si se excede un umbral configurable. Umbral (por defecto 10). Pinta pixels que exceden el umbral de blanco (por defecto 0). Intercambia campos si 1 (por defecto 0). Activa perfilado adicional (por defecto 0). Activa perfilado en dos veces (por defecto 0).

unsharp=l|cWxH:amount[:l|cWxH:amount]
    Máscara de eliminación de perfilado / difuminado gaussiano. Aplica el efecto en la componente de luminancia. Aplica el efecto en las componentes de crominancia. ancho y alto de la matriz, tamaño impar en ambas direcciones (min = 3x3, max = 13x11 or 11x13, normalmente algo entre 3x3 y 7x7) Cantidad relativa de perfilado/difuminado a añadir a la imagen (un rango correcto está entre -1.5-1.5). <0: difumina
    >0: perfila

swapuv
    Intercambia el plano U y V.

il=[d|i][s][:[d|i][s]]
    (des)entrelaza líneas. El objetivo de este filtro es añadir la habilidad para procesar imágenes entrelazadas pre-campo sin desentrelazarlas. Puede filtrar su DVD entrelazado y reproducirlo en una TV sin romper el entrelazado. Durante el desentrelazado (con el filtro de postprocesado) se elimina el entrelazado permanentemente (por suavizado, media, etc) desentrelazando roturas de la imagen en 2 campos (también llamados semi imágenes), para que pueda procesarlo (filtrarlo) después independientemente y re-entrelazarlo. desentrelaza (colocando uno encima del otro) entrelaza intercambia campos (cambia entre líneas par e impar)

fil=[i|d]
    (des)interpolación de líneas. Este filtro es muy similar al filtro il pero mucho más rápido, la principal desventaja es que no siempre funciona. Especialmente si es combinado con otros filtros puede producir efectos extraños en las imágenes, de modo que alégrese si le funciona pero no se nos queje si no funciona para su combinación de filtros. Desinterpola campos, colocandolos uno al lado de otro. Interpola campos de nuevo (invirtiendo el efecto de fil=d).

field[=n]
    Extrae un campo simple de una imagen entrelazada usando aritmética a saltos para evitar consumir mucho tiempo de CPU. El argumento opcional n especifica cuál extraer el campo par o el impar (dependiendo de si n es par o impar)

detc[=var1=value2:var2=value2:...]
    Intenta invertir el proceso de 'telecine' para recuperar un flujo limpio, no entrelazado en las imágenes por segundo de la película. Este filtro es aún experimental pero es usable. Por favor, ¡tenga en cuenta no usar este filtro absolutamente a menos que vea entrelazado mientras reproduzca la película! Lo siguientes argumentos (vea la sintaxis más arriba) pueden usarse para controlar su comportamiento: Establece la forma de saltarse imágenes. 0 (por defecto) significa no saltar imágenes para mantener fijo el número de imágenes por segundo de salida. 1 significa saltar siempre una imagen cuando no hay saltos o mezclas de telecine en los 5 frames pasados. 2 significa mantener siempre relación 5:4 de entrada a salida. NOTA: Use modo 1 con MEncoder. Modo análisis. Los valores disponibles son 0 (patrón fijo con número inicial de imagen especificada en fr=#) y 1 (búsqueda agresiva para patrón de telecine). Por defecto es 1. Establece el número inicial de imagen en la secuencia. 0-2 son las tres imágenes progresivas limpias; 3 y 4 son las dos imágenes entrelazadas. El valor por defecto, -1, significa 'no en secuencia de telecine'. El número especificado aquí es el tipo para la imagen previa imaginaria antes de que la película comience. Valores umbrales para ser usados en ciertos modos.

ivtc[=1]
    Filtro de telecine inverso 'sin-estado' experimental. En lugar de intentar bloquear en un patrón como hace el filgro detc, ivtc toma decisiones independientes para cada imagen. Esto da resultados mucho mejores para material que ha sido mal editado después de aplicar telecine, además de para resultados que tienen ruido de entrada, por ejemplo captura de TV. El parámetro opcional (ivtc=1) corresonde a la opción dr=1 para el filtro detc, y debe ser usado con MEncoder pero no con mplayer. Como con detc, debe especificar la relación de imágenes por segundo correcta (-ofps 23.976) cuando use MEncoder. pullup Filtro de pulldown inverso de tercera generación (telecine inverso), capaz de manejar contenido de telecine-duro mezclado, 24 fps progresivo, y 30 fps progresivo. El filtro pullup está diseñado para ser mucho más robusto que detc o ivtc, pero aún está en desarrollo. Aún no hay opciones de configuración disponibles. Al igual que el motor de pulldown inverso subyacente está diseñado para tomar ventaja de las nuevas características en MPlayer G2, la actual implementación en G1 es más bien para ser probada. NOTA: Actualmente pullup no tiene ninguna forma de fijar la tasa de bits de salida durante secuencias de 30 fps o pausas, devuelve más de 24 fps, lo que quiere decir que tendrá problemas is lo usa con mencoder -ofps 23.976.

filmdint[=opciones]
    Filtro de telecine inverso, similar al filtro pullup de arriba. Está diseñado para manejar un patrón pulldown, incluyendo mezcla por software y telecine por hard y limitado para soportar películas que han sido ralentizadas o aceleradas desde su tasa de bits original para TV. Solo se usa el plano luma para encontrar los cortes de marcos de imagen. Si un campo no tiene coincidencia, es desentrelazado con una aproximación lineal simple. Si la fuente es MPEG-2, y debe ser el primer filtro para permitir acceso a los field-flags establecidos por el decodificador MPEG-2. Dependiendo de la fuente mpeg, puede que le funcione ignorando este aviso y no vea un montón de advertencias "Bottom-first field". Sin opciones realiza un telecine inverso normal, y debe usarse junto con mencoder -fps 29.97 -ofps 23.976. Cuando este filtro se usa con mplayer, resulta en una tasa de imágenes por segundo impar durante la reproducción, pero sigue siendo generalmente mejor que usar pp=lb o no desentrelazar. Se pueden especificar múltiples opciones separadas por /. Igual que el filtro crop (recortado), pero más rápido, y funciona en mezclas de contexto de telecine hard y soft así como con un valor de y que no sea múltiplo de 4. Si x o y requieren recorte fraccional de pixels desde los planos de croma, el área de recorte es extendida. Normalmente esto significa que x e y deben ser pares. Para cada ifps marcos de imagen de entrada el filtro proporciona ofps marcos. La razón ifps/ofps debe coincidir con la razón -fps/-ofps. Esto puede usarse para filtrar películas de broadcast en una TV a la razón de imágenes por segundo distinta a la original. Si n es distinto de cero, el plano croma es copiado sin cambios. Esto es útil para TV YV12 muestreada, que descarga uno de los campos de croma. En x86, si n=1, usa funcines optimizadas MMX2, si n=2, usa funciones optimizadas 3DNow!, en otro caso, usa C plano. Si esta opción no es especificada, MMX2 y 3DNow! son auto-detectados, use esta opción para forzar la detección. Valores más altos de n aceleran el filtro a expensas de precisión. El valor por defecto es n=3. Si n es impar, el marco inmediatamente siguiente al marco marcado con la etiqueta mpeg REPEAT_FIRST_FIELD se asume que es progresivo, por eso el filtro no pierde ningún tiempo en contenido MPEG-2 soft-telecine. Este es el único efecto de esta etiqueta si MMX2 o 3DNow! están disponibles. Sin MMX2 y 3DNow!, si n=0 o 1, los mismos cálculos se usan como con n=2 o n=3. Si n=2 o 3, el número de niveles de luma usados para encontrar la rotura de marco es reducido de 256 a 128, que resulta en un filtro rápido sin perder mucha precisión. Si n=4 o 5, se usará una métrica rápida pero mucho menos precisa para encontrar la rotura de marcos, algo así como detectar un detalle vertical grande en un contexto entrelazado. Si n no es cero, muestra la métrica detallada para cada marco. Útil para pruebas. Umbral de desentrelazado. Usado durante el desentrelazado de marcos no coincidentes. Valores más grandes significa menos desentrelazado, use n=256 para desactivar el desentrelazado por completo. El valor por defecto es n=8. Umbral para comparar campos superior e inferior. El valor por defecto es 128. Umbral para detectar cambios temporales en un campo. El valor por defecto es 128. Suma de umbrales de diferencia absoluta, el valor por defecto es 64.

softpulldown
    Este filtro funciona correctamente solo con MEncoder y actúa en las marcas MPEG2 usadas para bajada 3:2 por software (telecine por software). Si desea usar el filtro ivtc o detc en películas que estén parcialmente con telecine por software, insertando este filtro antes el proceso se hace de manera más fiable. Actualmente solo libmpeg2 exporta las marcas necesarias. Si se usa en material que no lo tiene, el filtro no hará nada.

phase=[t|b|p|a|u|T|B|A|U][:v]
    Retardo del video entrelazado por un campo temporal para el cambio de orden en el campo. La intención del uso de esto es arreglar películas PAL que hayan sido capturadas con el orden de campo opuesto a la transferencia de película a video. Las opciones son: Orden del campo de captura primero-arriba, transferir primero-abajo. El filtro retrasa el campo inferior. Captura campo-inferior, transferir primero-arriba. El filtro retrasa el campo superior. Captura y transfiere con el mismo orden el campo. Este modo solo existe para la documentación de las otras opciones que se refieren a él, pero si actualmetne lo selecciona, no hará nada ;-) Orden de captura de campo determinado automáticamente por etiquetas de campo, transferencia opuesta. El filtro selecciona el modo t y b en una base marco a marco usando etiquetas de campo. Si no hay información de campo disponible, entonces funciona igual que el u. Captura desconocida o variante, transferencia opuesta. El filtro selecciona el modo t y b en una base marco a marco analizando las imágenes y seleccionando la alternativa que produce la mejor relación entre los campos. Captura top-first, transferencia desconocida o variante. El filtro selecciona t y p usando análisis de la imagen. Captura bottom-first, transferencia desconocida o variante. El filtro selecciona cuánto b y p usando análisis de la imagen. Captura determinada por etiquetas de campo, transferencia desconocida o variante. El filtro selecciona cuántos t, b y p usando etiquetas de campo y análisis de la imagen. Si no hay información de campo disponible, entonces funciona como el modo U. Este es el modo por defecto. Ambas capturas y transferencia desconocida o variante. El filtro selecciona la cantidad de t, b y p usando análisis de imagen solamente. Operación prolija. Muestra el modo seleccionado para cada marco y hace la media cuadrada de la diferencia entre campos para t, b y p alternativamente.

telecine[=inicio]
    Aplica proceso de "telecine" 3:2 para incrementar las imágenes por segundo en un 20%. Esto la mayoría de las veces no funciona correctamente con MPlayer, pero puede usarse con 'mencoder -fps 29.97 -ofps 29.97 -vf telecine'. ¡Ambas opciones son esenciales! (la sincronización A/V puede romperse si se ponen mal). El parámetro opcional inicio le dice al filtro donde iniciar el patrón de telecine (0-3).

tinterlace[=modo]
    Entrelazado de campo temporal - mezcla pares de marcos en un marco entrelazado, dividiendo en dos el número de imágenes por segundo. Los marcos pares son movidos en el campo superior, los impares en el campo inferior. Esto puede ser usado para invertir totalmente el efecto del filtro tfields (en modo 0). Los modos disponibles son: marcos impares en campo superior, pares en inferior, generando un marco de imagen completo a la mitad de imágenes por segundo solo saca los marcos impares, los pares son eliminados, la altura no cambia solo saca los marcos pares, los impares son eliminados, la altura no cambia expande cada marco a su altura completa, pero rellena líneas alternas con negro, las imágenes por segundo no cambian

tfields[=modo]
    Separación temporal de campo - separa campos en imágenes, doblando el número de imágenes por segundo de salida. Como el filtro de telecine, 'tfields' solo funciona correctamente con mencoder, y solo si ambas opciones -fps y -ofps están establecidas al deseao (doble) número de imágenes por segundo! Los modos disponibles son: deja los campos sin cambios (esto produce saltos/parpadeos) interpola líneas que falten (el algoritmo usado puede no ser del todo bueno) translada campos por 1/4 de pixel con interpolación lineal (sin saltos) translada campos por 1/4 de pixel con filtro 4tap (alta calidad)

boxblur=radius:power[:radius:power]
    caja de difuminado tamaño del filtro Hasta donde debe ser aplicado el filtro.

sab=rad:pf:colorDiff[:rad:pf:colorDiff]
    difuminado de forma adaptativo dureza del filtro de difuminado (~0.1-4.0) (más lento cuanto mayor sea) dureza del prefiltrado (~0.1-2.0) Cuánto se pueden considerar de diferentes los pixels. (~0.1-100.0)

smartblur=rad:strength:thresh[:rad:strength:thresh]
    difuminado inteligente dureza del filtro de difuminado (~0.1-5.0) (más lento cuanto mayor sea) difuminado (0.0-1.0) o perfilado (-1.0-0.0) filtrar todo (0), filtrar áreas planas (0-30) o filtrar bordes (-30-0)

perspective=x0:y0:x1:y1:x2:y2:x3:y3:t
    corrección de perspectiva coordenadas de las esquinas de arriba a la izquierda, arriba a la derecha, abajo a la izquierda y abajo a la derecha muestreo lineal (0) o cúbico (1)

2xsai
    Usa escala 2x y algoritmo de interpolación para escalar y suavizar imágenes.

1bpp
    conversión de mapa de bits de 1bpp a YUV/BGR 8/15/16/32

down3dright[=líneas]
    Reposición y tamaño de imágenes estereoscópicas. Extrae ambos campos estéreso y los coloca lado a lado, redimensionandolos para mantener el aspecto original de la película. número de líneas a seleccionar desde el centro de la imagen (por defecto: 12)

bmovl=hidden:opaque:<fifo>
    Lee mapas de bits de un FIFO y los muestra en una ventana. Establece el valor por defecto de la bandera 'oculto' (booleano) bandera que cambia entre modos alphablended (tranparente) y opaco (rápido) ruta/nombrearchivo para el FIFO (nombre de tubería conectando con mplayer -vf bmovl a la aplicación que lo controla)
    Los comandos para FIFO son:
seguido de ancho*alto*4 Bytes de datos crudos RGBA32. seguido de ancho*alto*4 Bytes de datos crudos ABGR32. seguido de ancho*alto*3 Bytes de datos crudos RGB32. seguido de ancho*alto*3 Bytes de datos crudos BGR32. cambia alpha por área limpia área desactiva toda transparencia alpha. Envíe "ALPHA 0 0 0 0 0" para activarla de nuevo. oculta mapas de bits muestra mapas de bits
    Los argumentos son:
tamaño de la imagen/área comienza a actuar en posición X/Y establece diferencia alpha. Si establece el valor a -255 puede enviar una secuencia de órdenes-ALPHA para establecer el área a -225, -200, -175 etc para un bonito efecto de desvanecimiento ;) 0: igual que el original
255: hace que todo sea opaco
-255: hace que todo sea transparente limpia el framebuffer antes de comenzar. 0: La imagen es intercambiada encima de la antigua, no necesita enviar 1.8MB de datos RGBA32 todo el tiempo ya que solo una pequeña parte de la pantalla es actualizada.
1: limpiar

framestep=I|[i]paso
    Filtra solamente el marco Intra (clave) o uno cada paso. Si llama al filtro con I (en mayúsculas) como parámetro entonces SOLO los marcos clave van en la salida. Para DVD esto significa, generalmente, un marco cada 15/12 (IBBPBBPBBPBBPBB), para AVI significa en cada cambio de escena o en todos los valores clave enteros (vea -lavcopts keyint=valor si usa MEncoder para codificar el video). Cuando se encuentra un marco clave, una 'I!' seguida de un caracter de nueva línea es escrita, dejando la línea actual de mplayer/mencoder, donde obtiene el tiempo (en segundos) y el número de marco clave. (Puede usar esta información para cortar el AVI). Si llama al filtro con un parámetro numérico n entonces solo un marco cada n es enviado a la salida. Si usa una 'i' (en minúsculas) antes del número entonces se escribe una ¡I! (como con el parámetro I). Si coloca solo la i entonces no ocurre nada en los marcos, solo la ¡I! es impresa.

tile=xtile:ytile:output:start:delta
    Crea un mosaico con una serie de imágenes en una imagen simple, grande. Si omite un parámetro o usa un valor menor de 0, entonces se usará el valor por defecto. También puede detenerlo cuando desee (... -vf file=10:5 ...) Probablemente sea una buena idea colocar un filtro de escalado antes del de mosaico :-)
    Los parámetros son: número de mosaicos en el eje x (por defecto: 5) número de mosaicos en el eje y (por defecto: 5) Renderiza el mosaico cuando 'output' número de marcos se han alcanzado, donde 'output' debe ser un número menor que xtile * ytile. Los mosaicos que falten se dejan en blanco. Usted puede, por ejemplo, escribir un mosaico de 8 * 7 cada 50 marcos para obtener una imagen cada 2 segundos @ 25 fps. pixel donde se empieza (x/y) (por defecto: 2) pixel entre cada 2 mosaicos, (x/y) (por defecto: 4)

delogo[=x:y:w:h:t]
    Suprime el logo de una estación de TV mediante una interpolación simple de los pixels de alrededor. Establece un rectángulo cubriendo el logo y lo hace desaparecer (y algunas veces aparece algo más feo incluso - su experiencia puede variar). Posición de la esquina de arriba a la izquierda del logo. Ancho y alto del rectángulo a limpiar. Anchura del filo borroso del rectángulo (añadida a w y h). Cuando se establece en -1, un rectángulo verde se dibuja en la pantalla para simplificarla busqueda de los parámetros x, y, w, h correctos.

zrmjpeg[=opciones]
    Codificador por software de YV12 a MJPEG para uso con dispositivo de salida de video zr2. Estas opciones establecen el ancho y alto máximos que la tarjeta zr puede manejar. La capa de filtros de MPlayer no puede hacer actualmente esto. Use estas opciones para establecer maxheight y maxwidth automáticamente a los valores conocidos por la combinación tarjeta/modo. Por ejemplo, opciones válidas son: dc10-PAL y buz-NTSC (por defecto: dc10+PAL). Elige color o blanco y negro para la codificación. La codificación en blanco y negro es más rápida. Por defecto es en color. Decimación horizontal 1, 2 ó 4. Decimación vertical 1, 2 ó 4. Establece la calidad en la compresión JPEG [MEJOR] 1 - 20 [MUY MALA]. Por defecto, la decimación solo se hace si el hardware Zoran puede sobreescalar las imágenes MJPEG resultantes al tamaño original. La opción fd le indica al filtro que siempre haga la decimación (antiestético).

CONTROLADORES DE SALIDA DE VIDEO (SOLAMENTE MPLAYER)
Los controladores de salida de video con interfaces para las distintas facilidades de salida. La sintaxis es:

-vo <controlador1[:opcion],controlador2,...[,]>
    Especifica una lista de controladores de video prioritarios para usar.

Si la lista tiene la ',' restante se probarán después otros controladores no listados en la línea de órdenes. Las subopciones son opcionales y la mayoría pueden omitirse.
NOTA: Vea -vo help para una lista de controladores compilados. EJEMPLO: Prueba el controlador Matrox X11, luego el controlador Xv, y luego los otros.
Usa el controlador DirectX con las características de aceleración desactivadas.
Los controladores de salida disponibles son:

xv (solamente X11)
    Usa la extensión XVideo de XFree86 4.x para activar la reproducción acelarada por hardware. Si no puede usar un controlador de video específico para su hardware, probablemente sea esta la mejor opción. Selecciona el puerto de XVideo específico.

x11 (solamente X11)
    Controlador de salida de memoria compartida sin aceleración hardware que funciona en cualquier X11 que esté presente.

xover (solamente X11)
    Añade soporte X11 a todos los controladores de salida de video basado en overlay. Actualmente solo soportado por tdfx_vid.

xvmc (solamente X11)
    Este controlador de salida de video emplea la extensión XvMC (X Video Motion Compensation) de XFree86 4.x.

dga (solamente X11)
    Salida de video a través de la extensión XFree86 Direct Graphics Access. Considerado obsoleto.

sdl Biblioteca de controlador de salida SDL (Simple Directmedia Layer) altamente independiente de la plataforma.

vidix
    VIDIX (VIDeo Interface for *niX) es una interfaz para las características de aceleración de video de las diferentes tarjetas gráficas. Controlador de salida muy rápido en tarjetas que lo soporten.

xvidix (solamente X11)
    VIDIX funcionando bajo X11.

cvidix
    VIDIX funcionando en una consola.

winvidix (solamente Windows)
    Versión para Windows del controlador VIDIX.

directx (solamente Windows)
    Controlador de salida que usa la interfaz DirectX. Desactiva la aceleración hardware. Pruebe esta opción si tiene problemas con la representación en pantalla.

fbdev (solamente Linux)
    Usa el framebuffer del núcleo para la salida de video.

fbdev2 (solamente Linux)
    Usa el framebuffer del núcleo para la salida de video, implementación alternativa.

vesa
    Controlador de salida de video muy general que debe funcionar en cualquier tarjeta compatible con VESA VBE 2.0. Activa el modo DGA. Desactiva el modo DGA. FIXME: documentar esto. FIXME: documentar esto.

svga
    Salida de video usando la biblioteca SVGA.

gl  Controlador de salida OpenGL.

gl2 Controlador de salida de OpenGL, segunda generación.

null
    No produce salida de video. Útil para pruebas de rendimiento.

aa  Controlador de salida ASCII art que funciona en una consola de texto.

bl  Reproducción de video usando el protocolo UDP Blinkenlights. Este controlador es altamente para hardware específico.

ggi Controlador de salida para el sistema gráfico GGI.

directfb
    Reproduce video usando la biblioteca DirectFB. Usa el código de teclado de DirectFB en lugar del de MPlayer (por defecto: activado). Doble y triple buffer da mejores resultados si quiere evitar problemas de desgarros de imagen. El buffer triple es más eficiente que el doble buffer ya que no bloquea MPlayer mientras se espera al refresco vertial. El buffer simple debe evitarse (por defecto: single). Controla el orden de salida de los marcos entrelazados (por defecto: desactivado). Valores válidos son top = campos superiores primero, bottom = campos inferiores primero. Esta opción no tiene ningún efecto en material filmográfico progresivo como lo son la mayoría de las películas MPEG. Necesitará activar esta opción si tiene problemas de desgarros de imagen/movimientos no suaves mientras visualiza material entrelazado. Forzará la capa con id N para la reproducción (por defecto: -1 - auto).

dfbmga
    Controlador específico de salida para Matrox G400/G450/G550 que usa la biblioteca DirectFB. Activa CRTC2 (segundo monitor), mostrando el video independientemente del primer monitor. Activa el uso de Matrox BES (backend scaler) (por defecto: desactivado). Obtiene resultados muy buenos en lo que concierne a velocidad y calidad de la salida como procesado interpolado de la imagen hecho mediante hardware. Funciona solo en el monitor primario. Hace uso de la capa sub imagen de Matrox para mostrar el OSD (por defecto: activado). Activa la salida TV en el segundo monitor (por defecto: activado). La calidad de la salida es muy buena y es una imagen completamente entrelazada con sincronización correcta en cada campo par/impar. Usa el código de teclado de DirectFB en lugar del código de teclado normal de MPlayer (por defecto: desactivado). Doble y triple buffer da mejores resultados si quiere evitar problemas de desgarramiento. Triple buffer es más eficiente que el doble buffer ya que no bloquea MPlayer mientras se espera al refresco vertical. El buffer simple debe evitarse (por defecto: triple). Controla el orden de salida de los marcos entrelazados (por defecto: desactivado). Los valores válidos son top = primero los campos superiores, bottom = primero los campos inferiores. Esta opción no tiene ningún efecto en material de película progresivo como lo son las películas MPEG. Necesitará habilitar esta opción si tiene problemas de desgarros de imagen/movimiento no suave mientras ve material entrelazado. (Buenos ejemplos para material de película entrelazado en DVD son Star Trek Enterprise y Star Trek DS9) Establece la norma TV de la tarjeta Matrox sin la necesidad de modificar /etc/directfbrc (por defecto: desactivado). Normas válidas son pal = PAL, ntsc = NTSC. Una norma especial es auto (auto-ajusta el uso de PAL/NTSC) porque decide qué norma se usa mirando la tasa de marcos de imagen de la película.

mga (solamente Linux)
    Controlador de salida específico de Matrox que hace uso del backend scaler YUV en tarjetas Gxxx a través del módulo del núcleo. Si tiene una tarjeta Matrox, esta es la opción más rápida.

xmga (solamente Linux, X11)
    El controlador de salida mga, funcionando en una ventana X11.

syncfb
    Controlador de salida de video para el módulo del núcleo SyncFB, que provee características de hardware especiales para las tarjetas Matrox Gxxx como desentrelazado por hardware, escalado y sincronización de la salida de video con el refresco vertical de su monitor.

3dfx (solamente Linux sea esta la mejor opción.

x11 (solamente X11)
    Controlador de salida de memoria compartida sin aceleración hardware que funciona en cualquier X11 que esté presente.

xover (solamente X11)
    Añade soporte X11 a todos los controladores de salida de video basado en overlay. Actualmente solo soportado por tdfx_vid.

xvmc (solamente X11)
    Este controlador de salida de video emplea la extensión XvMC (X Video Motion Compensation) de XFree86 4.x.

dga (solamente X11)
    Salida de video a través de la extensión XFree86 Direct Graphics Access. Considerado obsoleto.

sdl Biblioteca de controlador de salida SDL (Simple Directmedia Layer) altamente independiente de la plataforma.

vidix
    VIDIX (VIDeo Interface for *niX) es una interfaz para las características de aceleración de video de las diferentes tarjetas gráficas. Controlador de salida muy rápido en tarjetas que lo soporten.

xvidix (solamente X11)
    VIDIX funcionando bajo X11.

cvidix
    VIDIX funcionando en una consola.

winvidix (solamente Windows)
    Versión para Windows del controlador VIDIX.

directx (solamente Windows)
    Controlador de salida que usa la interfaz DirectX. Desactiva la aceleración hardware. Pruebe esta opción si tiene problemas con la representación en pantalla.

fbdev (solamente Linux)
    Usa el framebuffer del núcleo para la salida de video.

fbdev2 (solamente Linux)
    Usa el framebuffer del núcleo para la salida de video, implementación alternativa.

vesa
    Controlador de salida de video muy general que debe funcionar en cualquier tarjeta compatible con VESA VBE 2.0. Activa el modo DGA. Desactiva el modo DGA. FIXME: documentar esto. FIXME: documentar esto.

svga
    Salida de video usando la biblioteca SVGA.

gl  Controlador de salida OpenGL.

gl2 Controlador de salida de OpenGL, segunda generación.

null
    No produce salida de video. Útil para pruebas de rendimiento.

aa  Controlador de salida ASCII art que funciona en una consola de texto.

bl  Reproducción de video usando el protocolo UDP Blinkenlights. Este controlador es altamente para hardware específico.

ggi Controlador de salida para el sistema gráfico GGI.

directfb
    Reproduce video usando la biblioteca DirectFB. Elige la capa.

directfb2
    Reproduce video usando la biblioteca DirectFB, segunda generación.

dfbmga
    Controlador específico de salida para Matrox G400/G450/G550 que usa la biblioteca DirectFB. Activa CRTC2 (segundo monitor), mostrando el video independientemente del primer monitor.

mga (solamente Linux)
    Controlador de salida específico de Matrox que hace uso del backend scaler YUV en tarjetas Gxxx a través del módulo del núcleo. Si tiene una tarjeta Matrox, esta es la opción más rápida.

xmga (solamente Linux, X11)
    El controlador de salida mga, funcionando en una ventana X11.

syncfb
    Controlador de salida de video para el módulo del núcleo SyncFB, que provee características de hardware especiales para las tarjetas Matrox Gxxx como desentrelazado por hardware, escalado y sincronización de la salida de video con el refresco vertical de su monitor.

3dfx (solamente Linux)
    Este controlador emplea el controlador del framebuffer tdfx para reproducir películas con aceleración YUV.

tdfx_vid (solamente Linux)
    Controlador de salida específico para 3Dfx. Funciona conjuntamente con el módulo del núcleo.

dxr2
    Controlador de salida específico para Creative DXR2. Vea también la opción -dxr2. Activa overlay. Activa overlay.

dxr3
    Controlador de salida específico para el chip decodificador Sigma Design em8300 MPEG (Creative DXR3, Sigma Designs Hollywood Plus). Vea también el filtro de video lavc. Activa overlay en lugar de TVOut. Activa prebuffering. Debe activar el nuevo motor de sincronización. Especifica la norma de TV. 0: No cambia la norma actual (por defecto).
    1: Auto-ajusta usando PAL/NTSC.
    2: Auto-ajusta usando PAL/PAL-60.
    3: PAL
    4: PAL-60
    5: NTSC Especifica el número de dispositivo a usar si su hardware tiene más de una tarjeta em8300.

mpegpes
    Controlador de salida específico para DVB.

zr  Controlador de salida para unas cuantas tarjetas capturadoras/reproductoras de MJPEG. Vea también las opciones -zr* y -zrhelp.

zr2 Controlador de salida para unas cuantas tarjetas capturadoras/reproductoras de MJPEG, segunda generación. Vea también el filtro de video zrmjpeg.

md5 Escribe md5sums para cada marco de imagen a un archivo llamado 'md5' en el directorio actual. Útil para debug.

yuv4mpeg
    Transforma el flujo de video en una secuencia de imágenes YUV 4:2:0 sin comprimir y las almacena en un archivo llamado 'stream.yuv' en el directorio actual. Útil si quiere procesar el video con la suite mjpegtools.

gif89a
    Saca cada marco de imagen en un archivo GIF en el diretorio actual. Cada archivo toma el número de marco rellenado con ceros como nombre.

jpeg
    Saca cada marco de imagen en un archivo JPEG en el directorio actual. Cada archivo toma el número de marco rellenado con ceros como nombre.

pgm Saca cada marco de imagen en un archivo PGM en el directorio actual. Cada archivo toma el número de marco rellenado con ceros como nombre.

png Saca cada marco de imagen en un archivo PNG en el directorio actual. Cada archivo toma el número de marco rellenado con ceros como nombre.

tga Saca cada marco de imagen en un archivo Targa en el directorio actual. Cada archivo toma el número de marco rellenado con ceros como nombre.

OPCIONES DE CODIFICACIÓN GENERALES (SOLAMENTE MENCODER)

-audio-delay <0.0-...>
    Establece el campo de retardo de audio en la cabecera. Por defecto es 0.0, valores negativos no funcionan. Esto no retrasa el audio durante la codificación, si no que el reproductor ve el retardo por defecto de audio, permitiendo el uso de la opción -delay.

-audio-density <1-50>
    Número de chunks de audio por segundo (por defecto es 2 para trozos de audio largos de 0.5s).
    NOTA: Solamente CBR, VBR ignora esto ya que pone cada paquete en un trozo nuevo.

-audio-preload <0.0-2.0>
    Establece el intervalo de tiempo para buffer de audio (por defecto: 0.5s).

-endpos <[[hh:]mm:]ss[.ms]|tamaño[b|kb|mb]> (vea también la opción -ss y -sb)
    Detiene la codificación en el tiempo indicado o la posición en bytes. Puede especificarse de varios modos:
    NOTA: La posición en bytes no es precisa, porque solo se puede parar en imágenes frontera. EJEMPLO: codifica solo 56 segundos codifica solo 1 hora y 1 minutos codifica solo 100 MBytes

-ffourcc <fourcc>
    Puede usarse para forzar el fourcc de video en el archivo de salida. EJEMPLO: se tendrá un archivo de salida conteniendo 'div3' como fourcc de video.

-force-avi-aspect <0.2-3.0>
    Sobreescribe la razón de aspecto guardada en la cabecera vprp del AVI OpenDML. Puede usarse para cambiar la razón de aspecto con -ovc copy.

-info <opción1:opción2:...> (AVI solamente)
    Especifica la información de cabecera del archivo AVI resultante.
    Las opciones disponibles son: muestra esta descripción título del asunto del archivo artista o autor del asunto original del archivo categoría de trabajo original contenido del archivo información de copyright del archivo formato original del material que ha sido digitalizado comentarios generales acerca del archivo o del asunto del archivo

-noautoexpand
    No inserta automáticamente el filtro de expandir en la cadena de filtros de MEncoder. Útil para controlar en que punto de la cadena de filtros se renderizan los subtítulos cuandor se están codificando dentro de la película.

-noskip
    No se salta imágenes.

-o <nombrearchivo>
    Redirige la salida al nombrearchivo dado, en lugar de usar 'test.avi' por defecto.

-oac <nombre codec>
    Codifica con el codec de audio especificado. Use -oac help para obtener una lista de los codecs disponibles. (no hay un valor establecido por defecto) EJEMPLO: no codifica, solo copia el flujo codifica en PCM sin comprimir codifica a MP3 (usando Lame) codifica con codec libavcodec

-of <formato> (¡CÓDIGO BETA!)
    Codifica en el formato especificado. Use -of help para obtener una lista de formatos disponibles. EJEMPLO: codifica a avi (por defecto) codifica a mpeg flujo de video sin procesar (no multiplexa - solo video, solo un flujo)

-ofps <fps>
    El archivo de salida tendrá diferentes imágenes:seg que el origen. DEBE establecerse para fps variable (asf, algunos mov) y archivos progresivos (mpeg telecine de 29.97fps).

-ovc <nombre codec>
    Codifica con el codec de video especificado. Use -ovc help para obtener una lista de los codecs disponibles. (no hay un valor por defecto establecido) EJEMPLO: no codifica, solo copia el flujo codifica a DivX4/DivX5 codifica a un formato arbitrario sin comprimir (use -vf format para seleccionarlo) codifica con codecs libavcodec

-passlogfile <nombrearchivo>
    Cuando se codifica en modo 2pasadas, MEncoder vuelva la información de la priemra pasada al archivo dado en lugar del divx2pass.log por defecto.

-skiplimit <valor>
    Número máximo de imágenes que se pueden saltar después de una sin saltar (-noskiplimit para un número ilimitado).

-vobsubout <nombrebase>
    Especifica el nombrebase del archivo de salida .idx y .sub. Esto desactiva el renderizado de subtítulos en la película codificada y lo desvía a archivos de subtítulo Vobsub.

-vobsuboutid <langid>
    Especifica el código de idioma de dos letras para los subtítulos. Esto indica cuál será leido del DVD o el archivo .ifo.

-vobsuboutindex <índice>
    Especifica el índice de los subtítulos en los archivos de salida. (por defecto: 0)

OPCIONES ESPECÍFICAS DE CODECS PARA CODIFICACIÓN (MENCODER SOLAMENTE)
Puede espeficiar parámetros de codificación específicos de un codec usando la siguiente sintaxis:

-<codec>opts <opción1[=valor],opción2,...>

Donde <codec> puede ser: lavc, xvidenc, divx4, lame

  divx4 (-divx4opts)
DivX4 está obsoleto y solo tiene soporte por completitud. Para detalles acerca de las opciones para divx4, lea el código, la mayoría de las opciones no se describen aquí.

help
    obtener ayuda

br=<valor>
    especifica el bitrate (en kbit) (en bit)

key=<valor>
    intervalo máximo para el keyframe (en marcos)

deinterlace
    activar desentrelazado (evite esto, DivX4 falla mucho)

q=<1-5>
    calidad (1-el más rápido, 5-el mejor)

min_quant=<1-31>
    cuantizador mínimo

max_quant=<1-31>
    cuantizador máximo

rc_period=<valor>
    período de tasa de control

rc_reaction_period=<valor>
    período de reacción de la tasa de control

rc_reaction_ratio=<value>
    razón de reacción de la tasa de control

crispness=<0-100>
    especifica encrespadura/suavizado

pass=<1-2>
    Con esto puede codificar archivos DivX4 en 2pasadas. Primero codifica con pass=1, después con los mismos parámetros, codifica con pass=2.

vbrpass=<0-2>
    No tiene en cuenta el argumento pass y usa XviD VBR Library en lugar de DivX4 VBR. Las opciones disponibles son: codificación en una pasada (como si no se pusiese nada en la línea de órdenes) Análisis (primero) pasada de la codificación en dos pasadas. El archivo AVI resultante puede ser dirigido a /dev/null. Pasada (segunda) final de la codificación en dos pasadas.

  lame (-lameopts)

help
    obtiene ayuda

vbr=<0-4>
    método de bitrate variable cbr mt rh (por defecto) abr mtrh

abr bitrate medio

cbr bitrate constante.
    Fuerza también codificación en modo CBR en los modos preestablecidos ABR siguientes.

br=<0-1024>
    especifica el bitrate en kBit (solamente CBR y ABR)

q=<0-9>
    calidad (0-la más alta, 9-la más baja) (solamente para VBR)

aq=<0-9>
    calidad algorítmica (0-el mejor/el más lento, 9-el peor/el más rápido)

ratio=<1-100>
    razón de compresión

vol=<0-10>
    establece la ganancia de audio de entrada

mode=<0-3>
    (por defecto: auto) stereo joint-stereo dualchannel mono

padding=<0-2>
    no todo ajustar

fast
    cambia en codificación rápida en modos preestablecidos VBR siguientes, calidad ligeramente inferior y bitrates altos.

highpassfreq=<freq>
    Establece una precuencia de filtrado paso alta en Hz. Las frecuencias por debajo de la especificada serán atenuadas. Un valor de -1 desactiva el filtrado, un valor de 0 hace que se elijan los valores automáticamente.

lowpassfreq=<freq>
    Establece una frecuencia de filtrado paso baja en Hz. Frecuencias por encima de la especificada serán atenuadas. Un valor de -1 desactiva el filtrado, un valor de 0 hace que se elijan los valores automáticamente.

preset=<valor>
    valores preestablecidos codificación VBR, buena calidad, rango de bitrate 150-180 kbps. codificación VBR, alta calidad, rango de bitrate 170-210 kbps. codificación VBR, calidad muy alta, rango de bitrate 200-240 kbps. codificación CBR, la más alta calidad preestablecida, bitrate a 320 kbps. codificación ABR con el bitrate medio dado en kbps.
    EJEMPLO:
para la mayoría de la gente en la mayoría de la música, una calida bastante alta. codifica con preestablecidos ABR a 192 kbps forzando bitrate constante. codifica con preestablecidos ABR a 172 kbps con bitrate medio. para gente con oido extremadamente bueno y equipo similar. imprime opciones adicionales e información en la configuración preestablecida.

  lavc (-lavcopts)
Muchas de las opciones de lavc son muy especializadas y concísamente documentadas. Lea el código fuente para los detalles completos.

EJEMPLO:

acodec=<valor>
    Codec de audio (por defecto: mp2): MPEG Layer 2 MPEG Layer 3 AC3 PCM IMA Adaptativo (4bits por muestra, compresión 4:1)

abitrate=<valor>
    Tasa de bits de audio en kBit (por defecto 224).

atag=<valor>
    Usa la etiqueta de formato de audio de Windows especificada (e.g. atag=0x55).

bit_exact
    Usa solo algoritmos de bit exacto (excepto (i)dct). Adicionalmente bit_exact desactiva varias optimizaciones y por eso solo debe usarse para test de regresión que necesiten archivos binarios idénticos incluso si cambia la versión del codificador. También suprime el encabezado user_data en flujos MPEG-4. No use esta opción a menos que sepa exactamente lo que está haciendo.

vcodec=<valor>
    usa el codec especificado (por defecto: mpeg4): Motion JPEG H263 H263 Plus DivX 4/5 DivX 3 MS MPEG4v2 Windows Media Video 7 Windows Media Video 8 un codec RealVideo antiguo MPEG1 video :) HuffYUV

vqmin=<1-31>
    cuantizador mínimo (pasada 1/2) No recomendado (archivo mucho mayor, poca diferencia de calidad y efectos colaterales malos: msmpeg4, h263 debe tener muy poca calidad, el control de tasa puede confundirse resultando en peor calidad y algunos decodificadores pueden no ser capaces de decodificarlo). Recomendado para codificación mpeg4/mpeg1video normal (por defecto). Recomendado para h263(p)/msmpeg4. La razón para preferir 3 sobre 2 es que 2 puede dar overflows (esto será corregido para h263(p) cambiando el cuantizador por MB en el futuro, msmpeg4 no puede corregirlo porque no tiene soporte para ello).

lmin=<0.01-255.0>
    Multiplicador de lagrange mínimo para control de tasa de bits, probablemente desee usar un valor igual o menor que vqmin. (por defecto: 2.0)

lmax=<0.01-255.0>
    Multiplicador de lagrange máximo para control de tasa de bits. (por defecto: 31.0)

vqscale=<1-31>
    Cuantizador constante / codificación de calidad constante (selecciona el modo de cuantizador fijo). Un valor menor significa mejor calidad pero archivos grandes (por defecto: 0 (desactivado)).

vqmax=<1-31>
    cuantizador máximo (pasada 1/2) 10-31 debe ser un rango aceptable (por defecto: 31)

mbqmin=<1-31>
    cuantizador mínimo de macrobloque (pasada 1/2) (por defecto: 2)

mbqmax=<1-31>
    cuantizador máximo de macrobloque (pasada 1/2) (por defecto: 31)

vqdiff=<1-31>
    máxima diferencia del cuantizador entre marcos I o P (pasada 1/2) (por defecto: 3)

vmax_b_frames=<0-4>
    número de marcos B entre marcos no B: sin marcos B (por defecto) rango correcto para MPEG4

vme=<0-5>
    método de estimación del movimiento. NOTA: 0-3 actualmente ignora la cantidad de Bits usados, y la calidad puede ser baja. Los métodos disponibles son: nada (calidad muy baja) completo (lento) log (calidad baja) phods (calidad baja) EPZS (por defecto) X1 (experimental)

me_range=<0-9999>
    rango de búsqueda de estimación de movimiento, 0 (por defecto) significa sin límite.

mbd=<0-2>
    algoritmo de decisión de macrobloque (modo alta calidad), codifica cada macro bloque en todos los modos y elije el mejor. Esto es lento pero resulta en una mejor calidad y tamaño del archivo. usa mbcmp (por defecto) selecciona el modo MB que necesita los menos bits posibles (=vhq) selecciona el modo MB que tiene la mejor razón de distorsión

vhq Lo mismo que mbd=1, se mantiene por razones de compatibilidad.

v4mv
    Permite 4 vectores de movimiento por macrobloque (calidad ligeramente superior). (por defecto: desactivado)

inter_threshold <-1000-1000>
    Actualmente no hace absolutamente nada.

keyint=<0-300>
    intervalo máximo entre marcos clave en los marcos. Los marcos clave son necesarios para posicionamiento y el posicionamiento solo es posible en esos marcos clave, sin embargo los marcos clave necesitan más espacio que otros y un número grande para este valor hace que los archivos sean ligeramente menores, pero menos precisos en el posicionamiento, 0 significa no usar marcos clave. Valores >300 no son recomendables porque la calidad puede ser muy mala dependiendo del decodificador, codificador y suerte. Para un cumplimiento estricto de MPEG1/2/4 este debe ser <=132. (por defecto: 250 o un marco clave cada diez segundos en una película de 25fps)

sc_threshold=<-1000000-1000000>
    Umbral para la detección del cambio de escena. Libavcodec inserta un marco clave cuando detecta un cambio de escena. Puede especificar la sensibilidad de la detección con esta opción. -1000000 significa que se detecta un cambio de escena en cada nuevo marco de imagen, 1000000 significa que no se detectan cambios de escena (el valor por defecto es 0).

vb_strategy=<0-1>
    estrategia a elegir entre marcos I/P/B (pasada 2): usar siempre el número máximo de marcos B (por defecto) evitar marcos B en escenas de mucho movimiento (puede causar mala predicción de la tasa de bits)

vpass=<1-2>
    Activa el modo interno de dos pasadas, solo especificado si desea usar codificación en dos pasadas (por defecto: desactivado). primera pasada segunda pasada
    huffyuv:
guardar estadísticas codificar con tabla Huffman óptima basada en las estadísticas de la pasada 1.

aspect=<x/y>
    Almacena el aspecto de la película de forma interna, como los archivos MPEG. Mucho mejor solución que reescalar, porque la calidad no se ve decrementada. Solo MPlayer puede reproducir estos archivos correctamente, otros reproductores muestran mal el aspecto. El parámetro de aspecto puede darse como razón o como número en coma flotante.
    EJEMPLO:

autoaspect
    Igual que la opción aspect, pero calcula automáticamente el aspecto, tomando en cuenta todos los ajustes (recorte/expansión/escalado/etc.) realizados en la cadena de filtrado.

vbitrate=<valor>
    especifica la tasa de bits (pasada 1/2). Advertencia: 1kBit = 1000 Bits. (en kbit) (en bit) por defecto

vratetol=<valor>
    tolerancia del tamaño del archivo aproximada en kBit. 1000-100000 es un rango aceptable. (advertencia: 1kBit = 1000 Bits) (por defecto: 8000)

vrc_maxrate=<valor>
    bitrate máximo en kbit/seg (pasada 1/2)

vrc_minrate=<valor>
    bitrate mínimo en kbit/seg (pasada 1/2)

vrc_buf_size=<valor>
    tamaño del buffer en kbit (pasada 1/2). Para MPEG1/2 también establece el tamaño del buffer vbv, use 327 para VCD, 917 para SVCD y 1835 para DVD. NOTA: vratetol no debe se demasiado grande durante la segunda pasada o puede haber problemas si vrc_(min|max)rate es usado.

vrc_buf_aggressivity
    actualmente no se usa

vrc_strategy
    No tiene efecto, reservada para uso futuro.

vb_qfactor=<-31.0-31.0>
    factor de cuantización entre marcos B y no B (pasada 1/2) (por defecto: 1.25)

vi_qfactor=<-31.0-31.0>
    (pasada 1/2) (por defecto: 0.8)

vb_qoffset=<-31.0-31.0>
    desplazamiento del cuantizador entre marcos B y no B (pasada 1/2) (por defecto: 1.25)

vi_qoffset=<-31.0-31.0>
    (pasada 1/2) (por defecto: 0.0)
    si v{b|i}_qfactor > 0
    cuantizador marco-I/B = cuantizador marco-P * v{b|i}_qfactor + v{b|i}_qoffset
    si no
    haz ratecontrol normal (no bloquear al siguiente cuantizador de marco P) y establecer q= -q * v{b|i}_qfactor + v{b|i}_qoffset

    Consejo: Para realizar una codificación con cuantización constante con diferentes cuantizadores para marcos I/P y B puede usar: lmin= <ip_quant>:lmax= <ip_quant>:vb_qfactor= <b_quant/ip_quant>

vqblur=<0.0-1.0> (pasada 1)
    Cuantizador difuminado, valores mayores hacen media del cuantizador sobre más tiempo (cambios lentos). qblur desactivado (por defecto) hace media del cuantizador sobre todos los marcos previos

vqblur=<0.0-99.0> (pasada 2)
    Cuantizador de difuminado gaussiano, valores mayores hacen media del cuantizador sobre más tiempo (cambios lentos) (por defecto: 0.5).

vqcomp=<valor>
    cuantizador de compresión, depende de vrc_eq (pasada 1/2) (por defecto: 0.5)

vrc_eq=<ecuación>
    ecuación principal de control de tasa (pasada 1/2):
tasa de bits constante calidad constante aproximadamente la ecuación del códido antiguo de ratecontrol con qcomp 0.5 o similar (por defecto)

    infijos de operadores: +,-,*,/,^
    variables:
complejidad de textura complejidad de textura intra, no intra complejidad de textura media complejidad de textura media en marcos I complejidad de intra textura media en marcos P complejidad de no intra textura media en marcos P complejidad de no intra textura media en marcos B Bits usados para vectores de movimiento longitud máxima del vector de movimiento en escala log2 número de intra macro bloques / número de macro bloques complejidad espacial complejidad temporal qcomp desde la línea de órdenes es 1 si el tipo de imagen es I/P/B si no 0 vea su libro de matemáticas favorito

    funciones:
máximo / mínimo es 1 if a>b, 0 si no es 1 if a<b, 0 si no es 1 if a==b, 0 si no

vrc_override=<opciones>
    Calidad especificada por el usuario para partes específicas (final, créditos, ..) (pasada 1/2). Las opciones son <marco-inicial>, <marco-final>, <calidad>[/<marco-inicial>, <marco-final>, <calidad>[/...]]: cuantizador corrección de calidad en %

vrc_init_cplx=<0-1000>
    compleijidad inicial (pasada 1)

vqsquish=<0,1>
    especifica cómo mantener el cuantizador entre qmin y qmax (pasada 1/2): usar recorte usar una bonita función diferenciable (por defecto)

vlelim=<-1000-1000>
    coeficiente simple para el umbral de eliminación de luminancia. Valores negativos también pueden considerarse para el coeficiente dc (debe ser al menos -4 o menor para codificar con quant=1): desactivado (por defecto) (recomendación JVT)

vcelim=<-1000-1000>
    coeficiente simple para el umbral de eliminación de crominancia. Valores negativos también pueden considerarse para el coeficiente dc (debe ser al menos -4 o menor para codificar con quant=1): desactivado (por defecto) (recomendación JVT)
vstrict=<-1,0,1>
    cumplimiento estricto del estandar desactivado (por defecto) solo recomendado si desea alimentar la salida en el decodificador de referencia mpeg4 permite codificación YV12 huffyuv no-estandar (archivos 20% más pequeños, pero no pueden ser reproducidos con el codec huffyuv oficial)

vdpart
    particionamiento de datos. Añade 2 Bytes por paquete de video, mejora resistencia-al-error cuando se transfiere a través de canales no fiables (ej. streaming sobre internet) Cada paquete de video debe ser codificado en 3 particiones diferentes: (movimiento) (imagen de baja resolución) (detalles)

    MV & DC son los más importantes, su pérdida hace que se vea mucho peor la imagen que si se perdiese AC y las particiones 1. & 2. (MV&DC) son mucho menores que la partición 3. (AC) lo cual significa que errores que afecten a la partición AC son mucho menos importantes que en particiones MV&DC. De ahí, que la imagen se vea mejor con particionamiento que sin él, ya que sin particionamiento un error puede mandar al traste AC/DC/MV de igual modo.

vpsize=<0-10000>
    tamaño del paquete de video, mejora resistencia-al-error (vea también la opción -vdpart): desactivado (por defecto) buena elección

gray
    codificación solo en escala de grises (rápida) (por defecto: desactivado)

vfdct=<0-10>
    algoritmo dct: selecciona automáticamente uno bueno (por defecto) entero rápido entero con precisión mmx mlib altivec AAN en coma flotante

idct=<0-99>
    algoritmo idct. NOTA: Según el mejor de nuestros conocimientos todos estos IDCTs pasan los tests de IEEE1180. selecciona automáticamente uno bueno (por defecto) entero de jpeg de referencia simple simplemmx libmpeg2mmx (impreciso, NO USAR para codificación con keyint >100) ps2 mlib arm altivec sh4

lumi_mask=<0.0-1.0>
    máscara de luminancia. Advertencia: Tenga cuidado, valores muy grandes pueden causar cosas desastrosas. Advertencia2: Valores grandes pueden hacer que se vea bien en algunos monitores pero puede verse horrible en otros monitores: desactivado (por defecto) rango correcto

dark_mask=<0.0-1.0>
    máscara de oscuridad. Advertencia: tenga cuidado, valores muy grandes pueden causar cosas desastrosas. Advertencia2: valores grandes pueden hacer que se vea bien en algunos monitores pero puede verse horrible en otros monitores / TV / TFT: desactivado (por defecto) rango correcto

tcplx_mask=<0.0-1.0>
    máscara de complejidad temporal (por defecto: 0.0 (desactivado))

scplx_mask=<0.0-1.0>
    máscara de complejidad espacial. Valores grandes ayudan contra imágenes con bloques, si no hay filtro para eliminar esos bloques durante la decodificación. Consejo: Recorte cualquier borde negro completamente para reducir la calidad de los macro bloques (también se aplica sin scplx_mask). desactivado (por defecto) rango correcto

p_mask=<0.0-1.0>
    inter MB máscara (por defecto: 0.0 (deshabilitado))

naq Cuantización adaptativa normalizada (experimental). Cuando se usa cuantización adaptativa (*_mask), la media por-MB del cuantizador puede no volver a coincidir con el nivel de marco del cuantizador requerido. Naq intentará ajustar los cuantizadores por-MB para mantener la media correcta.

ildct
    usa dct entrelazado

ilme
    usa estimación de movimiento entrelazada

alt usa scantable alternativa

format=<valor>
    por defecto para huffyuv or jpeg sin pérdida para jpeg sin pérdidas para jpeg sin pérdidas y ffv1 para jpeg sin pérdidas y ffv1

pred
    (para huffyuv) predicción de pérdidas predicción de plano/gradiente predicción media

pred
    (para jpeg sin pérdidas) predicción de pérdidas predicción superior predicción superior de pérdidas predicción de plano/gradiente significado de predicción

coder
    (para ffv1) codificación vlc (golomb rice) codificación aritmética (cabac)

context
    (para ffv1) modelo de contexto pequeño modelo de contexto grande

qpel
    usa compensación de movimiento quarter pel Consejo: Esto es útil solamente para codificaciones con tasa de bits alta.

ildctcmp=<0-2000>
    función de comparación para la decisión de dct entrelazado precmp=<0-2000> función de comparación para la estimación de movimiento pre pass

cmp=<0-2000>
    función de comparación para la estimación de movimiento full pel

subcmp=<0-2000>
    función de comparación para la estimación de movimiento sub pel

mbcmp=<0-2000>
    función de comparación para la decisión de macrobloque, solo usado si mbd=0 suma de diferencias absolutas, rápido (por defecto) suma de errores cuadráticos suma de diferencias de transformadas de hadamard absolutas suma de diferencias de trasnformadas dct absolutas suma de errores cuadráticos de cuantización (no usar, baja calidad) número de bits necesarios para el bloque razón de distorsión óptima, lento 0 suma de las diferencias verticales absolutas suma de las diferencias verticales al cuadrado usar también crominancia, no funciona (correctamente) actualmente con marcos B

predia=<-99-6>
    Tipo y tamaño diamante para la estimación pre pasada de movimiento

dia=<-99-6>
    Estimación de movimiento tipo y tamaño diamante. NOTA: Los tamaños de los diamantes normales y la forma adaptativa no tienen el mismo significado. forma adaptativa (rápido) diamante con tamaño 3 forma adaptativa (rápido) diamante con tamaño 2 experimental tamaño normal=1 diamante (por defecto) =tipo de diamante EPZS
          0
         000
          0
    tamaño normal=2 diamantes
          0
         000
        00000
         000
          0

trell
    Cuantización de búsqueda Trellis. Esto encuentra la codificación óptima para cada bloque de 8x8. La cuantización de búsqueda Trelllis es bastante simple como cuantización óptima en el sentido de PSNR frente a tasa de bits (asumiendo que no hay errores de redundancia introducidos en el IDCT, que obviamente no es el caso) símplemente encuentras un bloque para el error mínimo y lambda*bits. constante de la que depende qp cantidad de bits necesarios para codificar el bloque suma de errores cuadráticos de la cuantización

cbp Tasa el patrón de distorsión de código de bloque óptimo seleccionará el patrón de bloque codificado que minimize + lambda*tasa solo puede ser usado junto con cuantización trellis

mv0 intenta codificar cada MB con MV=<0,0> y elije el mejor esto no tiene ningún efecto si mbd=0

qprd
    QP de tasa de distorsión óptimo para un lambda dado de cada macrobloque

last_pred=<0-99>
    Cantidad de predictores de movimiento desde los marcos previos (por defecto) usa 2a+1 x 2a+1 macro bloques cuadrados de predictores de vector de movimiento desde el marco anterior

preme=<0-2>
    pre-pasada de estimación de movimiento desactivado solo después de marcos I (por defecto) siempre

subq=<1-8>
    Redefinimiento de calidad de subpel (para qpel) (por defecto: 8). NOTA: Esto tiene un efecto significativo en la velocidad.

psnr
    Imprime la psnr (pico de relación señal ruido) para el video entero después de la codificación y almacena la psnr por marco en un archivo con un nombre como 'psnr_hhmmss.log'. Los valores devueltos están en dB (decibelios), cuanto mál alto mejor.

mpeg_quant
    Usa cuantizadores MPEG en lugar de H.263. (por defecto: desactivado) (i.e. usa cuantizadores H.263)

aic Predicción ac (=predicción interna avanzada para H.263+) NOTA: vqmin debe ser 8 o superior para AIC H263+

umv MVs ilimitados (H.263+ solamente) Permite codificación de MVs de longitud arbitraria.

ibias=<-256-256>
    Cuantizador de unión interno (256 == 1.0)
    Cuantizador de estilo mpeg por defecto: 96
    Cuantizador de estilo h263 por defecto: 0
    NOTA: El cuantizador h263 MMX no puede manejar uniones positivas (establece vfdct=1ó2) El cuantizador mpeg MMX no puede manejar uniones negativas (establece vfdct=1ó2)

pbias=<-256-256>
    cuantizador de unión interno (256 == 1.0)
    cuantizador de estilo mpeg por defecto: 0
    cuantizador de estilo h263 por defecto: -64
    NOTA: el cuantizador h263 MMX no puede manejar uniones positivas (establece vfdct=1ó2) el cuantizador mpeg MMX no puede manejar uniones negativas (establece vfdct=1ó2)
    Consejo: una unión más positiva (-32 - -16 en lugar de -64) parece mejorar la PSNR

nr=<0-100000>
    reducción de ruido, 0 es deshabilitado

qns=<0-3>
    cuantizador del perfilado de ruido, reduce artefactos de anillo, valores mayores hacen que sea más lento pero puede no resultar en una mejor calidad esto puede y debe ser usado junto con cuantización trellis, en cuyo caso la cuantización trellis (óptima para peso constante) será usada como punto de partida para la búsqueda iterativa. desactivado (por defecto) solo disminuye el valor absoluto de los coeficientes solo cambia coeficientes antes del último coeficiente no cero + 1 prueba todo

inter_matrix=<comma separated matrix>
    Usa matriz interna personalizada. Necesita una cadena separada por comas de 64 enteros.

vqmod_amp
    modulación cuantizada experimental

  nuv (-nuvopts)
Nuppel video está basado en rtjpeg y lzo. Por defecto los marcos son codificados primero con ftjpeg y luego comprimidos con lzo. Pero ambas pasadas pueden ser o no habilitadas. Para que pueda obtener una salida raw i420, lzo comprimido i420, rtjpeg, o el rtjpeg comprimido en lzo por defecto.
NOTA: La documentación de nuvrec contiene algunos avisos y ejemplos acerca de la configuración a usar en la mayoría de las codificaciones de TV.

c=<0-20>
    Umbral de crominancia

l=<0-20>
    Umbral de luminancia

nolzo
    Desactiva la compresión lzo

q=<3-255>
    Establece el nivel de calidad

raw Desactiva la codificación rtjpeg

rtjpeg
    Activa codificación rtjpeg.

  xvidenc (-xvidencopts)
Hay tres métodos disponibles: tasa de bits constante (CBR), cuantizador fijo y 2pasadas.

pass=<1|2>
    especifica la pasada en el modo de 2pasadas

bitrate=<valor>
    establece la tasa de bits a ser usada en kbits/segundo si <16000 o en bits/segundo si >16000 (modo CBR o 2pasadas, por defecto=687 kbits/s)

fixed_quant=<1-31>
    cambia al modo de cuantizador fijo y especifica el cuantizador que será usado

me_quality=<0-6>
    especifica la calidad de la detección de movimiento (por defecto=6)

interlacing
    activa soporte para contenido entrelazado (por defecto=desactivado)

4mv usa 4 vectores de movimiento por macro-bloque, debe obtener mejor compresión al coste de una codificación más lenta (por defecto=desactivado)

rc_reaction_delay_factor=<valor>
    especifica cómo de rápido reacciona la tasa de control, valores menores es más rápido

rc_averaging_period=<valor>
    período para obtener el valor medio requerido

rc_buffer=<valor>
    tamaño del buffer de control de tasa

quant_range=<1-31>-<1-31>[/<1-31>-<1-31>]
    cuantizador mín y máx para todos los marcos (por defecto=2-31, modo CBR)
    cuantizador mín y máx para marcos I/P (por defecto=2-31/2-31, modo 2pasadas)

min_key_interval=<valor>
    intervalo mínimo entre marcos clave (por defecto=0, 2pasadas solamente)

max_key_interval=<valor>
    intervalo máximo entre marcos clave (por defecto=10*fps)

mpeg_quant
    usa cuantizadores MPEG en lugar de H.263 (por defecto=desactivado)

mod_quant
    decide qué usar si cuantizadores MPEG o H.263 en una base marco-a-marco. (por defecto=desactivado, solamente modo 2pasadas)

greyscale
    codifica en blanco y negro (por defecto=desactivado)

debug
    guarda estadísticas por-marco en xvid.dbg (por defecto=desactivado) esto NO es el archivo de control de 2pasadas

keyframe_boost=<0-1000>
    (por defecto=0, solamente modo 2pasadas)

kfthreshold=<valor>
    (por defecto=10, solamente modo 2pasadas)

kfreduction=<0-100>
    (por defecto=10, solamente modo 2pasadas)

Las siguientes opciones solo están disponibles en la última versión estable de XviD 0.9.2 (api3) y están marcadas como experimentales e inestables. La nueva versión de desarrollo de XviD 1.0 (api4) tiene soporte completo.

packed
    crea un flujo de bits que pueden ser decodificados libres-de-retardo (por defecto=desactivado)
    ADVERTENCIA: esto puede generar flujo de bits ilegal, y PUEDE NO ser decodificable por decodificadores ISO-MPEG4 excepto DivX/libavcodec/XviD
    ADVERTENCIA: esto puede también almacenar una versión errónea de DivX en el archivo de modo que la autodetección de errores de algunos decodificadores puede verse confundida

divx5bvop
    genera marcos-B compatibles con DivX5 (por defecto=activado)

qpel
    activa estimación de movimiento quarter-pixel (por defecto=desactivado)

gmc activa estimación de movimiento global, puede ahorrar bits en imágenes panorámicas (por defecto=desactivado)

chroma_me
    usa información de crominancia para estimación de movimiento (por defecto=desactivado)

chroma_opt
    activa el prefiltrado del optimizador de crominancia (por defecto=desactivado)

reduced
    activa codificación de marcos de resolución reducida (por defecto=desactivado)

max_bframes=<0-4>
    número máximo de marcos B a colocar entre marcos I/P (por defecto=0)

bquant_ratio=<0-1000>
    radio del cuantizador entre marcos B y no B, 150=1.50 (por defecto=150)

bquant_offset=<-1000-1000>
    desplazamiento del cuantizador entre marcos B y no B, 100=1.00 (por defecto=100)

bf_threshold=<-255-255>
    cambia la probabilidad de que un marco sea un marcob (por defecto=0)

hq_ac
    activa una mejor predicción de la componente AC (por defecto=desactivado)

vhq=<0-4>
    activa una alta calidad de búsqueda ME usando DCT, de más rápido a más lento: desactivado (por defecto) decisión de modo (MB inter/intra) búsqueda limitada búsqueda media búsqueda extendida

aspect=<x/y | f (valor real)>
    Almacena el aspecto de la película internamente, como los archivos MPEG. Mucha mayor resolución que el reescalado, porque no disminuye la calidad. MPlayer y otros pocos reproductores reproducirán estos archivos correctamente, otros los mostrarán con una razón de aspecto incorrecta. El parámetro de aspecto se puede dar como una razón o como un número en coma flotante.

autoaspect
    Lo mismo que la opción aspect, pero el aspecto es calculado automáticamente, teniendo en cuenta todos los ajustes (recortado/expansión/escalado/etc.) hechos en la cadena de filtros.

psnr
    imprime la psnr (pico de relación señal ruido) para el video completo después de codificar y almacenar la psnr por marco en un archivo con un nombre como 'psnr_hhmmss.log'. Los valores devueltos están en dB (decibelios), cuanto más altos mejor.

ARCHIVOS

/etc/mplayer/mplayer.conf
    configuración del sistema

~/.mplayer/config
    configuración de usuario

~/.mplayer/input.conf
    asignación de entradas (vea '-input keylist' para una lista completa de teclas)

~/.mplayer/gui.conf
    archivo de configuración del GUI

~/.mplayer/gui.pl
    lista de reproducción del GUI

~/.mplayer/font/
    directorio de tipografía (Debe haber un archivo font.desc y archivos con extensión .RAW.)

~/.mplayer/DVDkeys/
    claves CSS en caché

Los archivos sub son buscados en este orden (por ejemplo /mnt/cdrom/pelicula.avi):
    /mnt/cdrom/pelicula.sub
    ~/.mplayer/sub/pelicula.sub
    ~/.mplayer/pelicula.sub

EJEMPLOS

Reproducción rápida de DVD
    mplayer dvd://1

Reproducción en japonés con subtítulos en inglés
    mplayer dvd://1 -alang ja -slang en

Reproducir solo los capítulos 5, 6, 7
    mplayer dvd://1 -chapter 5-7

Reproducción de DVD multiángulo
    mplayer dvd://1 -dvdangle 2

Reproducción desde un dispositivo distinto de DVD
    mplayer dvd://1 -dvd-device /dev/dvd2

Flujo desde HTTP
    mplayer http://mplayer.hq/ejemplo.avi

Flujo usando RTSP
    mplayer rtsp://servidor.ejemplo.es/nombreFlujo

Convertir subtítulo a MPsub (a ./dump.mpsub)
    mplayer bobo.avi -sub origen.sub -dumpmpsub

Convertir subtítulo a MPsub sin ver la película
    mplayer /dev/zero -rawvideo on:pal:fps=xx -vc null -vo null -noframedrop -benchmark -sub origen.sub -dumpmpsub

Entrada desde V4L estandar
    mplayer tv:// -tv driver=v4l:width=640:height=480:outfmt=i420 -vc rawi420 -vo xv

Reproducción en tarjeta Zoran (al viejo estilo, desvalorizado)
    mplayer -vo zr -vf scale=352:288 archivo.avi

Reproducción en tarjeta Zoran (nuevo estilo)
    mplayer -vo zr2 -vf scale=352:288,zrmjpeg archivo.avi

Codificación del título #2 del DVD, solo los capítulos seleccionados
    mencoder dvd://2 -chapter 10-15 -o titulo2.avi -oac copy -ovc divx4

Codificación del título #2 del DVD, redimensionando a 640x480
    mencoder dvd://2 -vf scale=640:480 -o titulo2.avi -oac copy -ovc divx4

Codificación del título #2 del DVD, redimensionando a 512xHHH (manteniendo relación de aspecto)
    mencoder dvd://2 -vf scale -zoom -xy 512 -o titulo2.avi -oac copy -ovc divx4

Lo mismo, pero con la familia libavcodec, compresión MPEG4 (Divx5)
    mencoder dvd://2 -o titulo2.avi -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=1800 -oac copy

Lo mismo, pero con la familia libavcodec, compresión MJPEG
    mencoder dvd://2 -o titulo2.avi -ovc lavc -lavcopts vcodec=mjpeg:vhq:vbitrate=1800 -oac copy

Codificación de todos los archivos *.jpg del directorio actual
    mencoder "mf://*.jpg" -mf fps=25 -o salida.avi -ovc divx4

Codificación desde el sintonizador
    mencoder -tv driver=v4l:width=640:height=480 tv:// -o tv.avi -ovc raw

Codificación desde una tubería
    rar p test-SVCD.rar | mencoder -ovc divx4 -divx4opts br=800 -ofps 24 -

FALLOS
Si encuentra uno, infórmenos de ello, pero por favor asegúrese de leer toda la documentación primero. Muchos errores son debidos a una configuración incorrecta o un mal uso de parámetros. La sección sobre informe de errores en la documentación (DOCS/HTML/es/bugreports.html) explica cómo crear informes de error útiles.

AUTORES
MPlayer fue inicialmente escrito por Arpad Gereoffy. Vea el archivo AUTORES para obtener una lista de muchos otros contribuyentes.

MPlayer es (C) 2000-2004
    El Equipo MPlayer

Esta página de manual está escrita y mantenida por
    Gabucino
    Diego Biurrun
    Jonas Jermann

la versión en español es traducida y mantenida por
    Juan Martín López <nauj27@teleline.es>

Por favor, envíe correos acerca de ella a la lista de correo MPlayer-DOCS.

DESCARGO ESTANDAR
¡Úselo bajo su propia responsabilidad! Puede haber errores o imprecisiones que puedan dañar su sistema o sus ojos. Proceda con precaución, y aunque esto es altamente improbable, ¡los autores no se responsabilizan de ello!